
dpp.pages.languages = {

	title: 'menu-lang',

	start: function()
	{
		ga('send', 'event', 'General', 'ViewLanguages');

		dpp.pages.languages.updateLangSelection();
	},

	updateLangSelection: function()
	{
		$('#page-languages button').removeClass('active');
		$('#page-languages button[data-lang="'+dpp.getLang()+'"]').addClass('active');
	},
	
	langSelected: function(button)
	{
		var lang = $(button).attr('data-lang');
		dpp.switchLang(lang);
		dpp.pages.languages.updateLangSelection();
	}
}