
dpp.pages.notification1 = {

	title: 'notification1-title',
	connection: null,

	start: function()
	{
		if (dpp.pages.notification1.connection)
			$('#page-notification1').html(dpp.pages.notification1.formatRoutes([dpp.pages.notification1.connection]));
		else
			console.log('Tried to display connection, but there is none to display.', dpp.pages.notification1.connection);
	},
	
	formatRoutes: function(routes)
	{
		var list = '';
		
		for (var route in routes)
		{
			if (dpp.getLang() != 'cs')
			{
				routes[route].transfers = routes[route].transfers.replace('přestup', dpp.t('search-transfer'));
				routes[route].transfers = routes[route].transfers.replace('přestupy', dpp.t('search-transfers'));
			}

			routes[route].travelTime = routes[route].travelTime.replace('hod', dpp.t('search-hour-short'));
			routes[route].travelTime = routes[route].travelTime.replace('min.', dpp.t('search-minute-short'));
			routes[route].travelTime = routes[route].travelTime.replace('min', dpp.t('search-minute-short'));

			list += '<div class="card route" style="text-align: center;">';
			list += '<div class="card-header"><b>'+routes[route].departure+' - '+routes[route].arrival+', '+routes[route].travelTime+'., '+routes[route].price+' '+(dpp.getLang()!='cs'?'CZK':'Kč')+', '+routes[route].transfers+'</b></div>';
			list += '<div class="card-block">';
			
			list += '<ol>';
			var step;
			for (var stepIterator in routes[route].steps)
			{
				step = routes[route].steps[stepIterator];
				
				if (step.type == 'drive')
				{
					// start station
					list += '<li><b>'+step.info.start.station+'</b> ';
					for (var sign in step.info.start.signs)
						list += '<img src="img/FC/'+step.info.start.signs[sign]+'" alt="">';
					list += ' '+step.info.start.time+'</b> ';
					
					// line
					var color;
					switch (step.info.driveLine)
					{
						case 'A': color = 'green'; break;
						case 'B': color = '#fec831'; break;
						case 'C': color = 'red'; break;
						default: color = 'inherit'; break;
					}
					
					list += ' &rarr; ';
					list += '<img src="img/'+step.info.driveSign+'" alt=""> <b style="color: '+color+';">'+step.info.driveLine+'</b>';
					list += ' &rarr; ';
					
					// end station
					list += '<b>'+step.info.finish.station+'</b> ';
					for (var sign in step.info.finish.signs)
						list += '<img src="img/FC/'+step.info.finish.signs[sign]+'" alt="">';
					list += ' '+step.info.finish.time+'</b></li>';
				}
				
				if (step.type == 'walk')
				{
					if (dpp.getLang() != 'cs')
					{
						step.info = step.info.replace('Přesun pěšky asi', 'Transfer by foot, about');
						step.info = step.info.replace('minuty', 'many');
						step.info = step.info.replace('minuta', 'one');
						step.info = step.info.replace('minut', 'many');

						step.info = step.info.replace('one', dpp.t('search-minute'));
						step.info = step.info.replace('many', dpp.t('search-minutes'));
					}

					list += '<span class="routes-walk">'+step.info+'</span>';
				}
			}
			list += '</ol>';
			
			list += '</div>';
			list += '</div>';
		}
		
		return list;
	},
}