
window.translations = {

	// Language codes
	//
	// en: English
	// es: Spanish
	// pt: Portuguese
	// fr: French
	// de: German
	// zh: Simplified Chinese
	// ru: Russian
	// hi: Hindi
	// cs: Czech
	//

	'month-0': {
		en: 'January',
		es: 'January',
		pt: 'January',
		fr: 'January',
		de: 'January',
		zh: 'January',
		ru: 'January',
		hi: 'January',
		cs: 'Leden'
	},

	'month-1': {
		en: 'February',
		es: 'February',
		pt: 'February',
		fr: 'February',
		de: 'February',
		zh: 'February',
		ru: 'February',
		hi: 'February',
		cs: 'Únor'
	},

	'month-2': {
		en: 'March',
		es: 'March',
		pt: 'March',
		fr: 'March',
		de: 'March',
		zh: 'March',
		ru: 'March',
		hi: 'March',
		cs: 'Březen'
	},

	'month-3': {
		en: 'April',
		es: 'April',
		pt: 'April',
		fr: 'April',
		de: 'April',
		zh: 'April',
		ru: 'April',
		hi: 'April',
		cs: 'Duben'
	},

	'month-4': {
		en: 'May',
		es: 'May',
		pt: 'May',
		fr: 'May',
		de: 'May',
		zh: 'May',
		ru: 'May',
		hi: 'May',
		cs: 'Květen'
	},

	'month-5': {
		en: 'June',
		es: 'June',
		pt: 'June',
		fr: 'June',
		de: 'June',
		zh: 'June',
		ru: 'June',
		hi: 'June',
		cs: 'Červen'
	},

	'month-6': {
		en: 'July',
		es: 'July',
		pt: 'July',
		fr: 'July',
		de: 'July',
		zh: 'July',
		ru: 'July',
		hi: 'July',
		cs: 'Červenec'
	},

	'month-7': {
		en: 'August',
		es: 'August',
		pt: 'August',
		fr: 'August',
		de: 'August',
		zh: 'August',
		ru: 'August',
		hi: 'August',
		cs: 'Srpen'
	},

	'month-8': {
		en: 'September',
		es: 'September',
		pt: 'September',
		fr: 'September',
		de: 'September',
		zh: 'September',
		ru: 'September',
		hi: 'September',
		cs: 'Září'
	},

	'month-9': {
		en: 'October',
		es: 'October',
		pt: 'October',
		fr: 'October',
		de: 'October',
		zh: 'October',
		ru: 'October',
		hi: 'October',
		cs: 'Říjen'
	},

	'month-10': {
		en: 'November',
		es: 'November',
		pt: 'November',
		fr: 'November',
		de: 'November',
		zh: 'November',
		ru: 'November',
		hi: 'November',
		cs: 'Listopad'
	},

	'month-11': {
		en: 'December',
		es: 'December',
		pt: 'December',
		fr: 'December',
		de: 'December',
		zh: 'December',
		ru: 'December',
		hi: 'December',
		cs: 'Prosinec'
	},

	'month-0-short': {
		en: 'Jan',
		es: 'Jan',
		pt: 'Jan',
		fr: 'Jan',
		de: 'Jan',
		zh: 'Jan',
		ru: 'Jan',
		hi: 'Jan',
		cs: '1.'
	},

	'month-1-short': {
		en: 'Feb',
		es: 'Feb',
		pt: 'Feb',
		fr: 'Feb',
		de: 'Feb',
		zh: 'Feb',
		ru: 'Feb',
		hi: 'Feb',
		cs: '2.'
	},

	'month-2-short': {
		en: 'Mar',
		es: 'Mar',
		pt: 'Mar',
		fr: 'Mar',
		de: 'Mar',
		zh: 'Mar',
		ru: 'Mar',
		hi: 'Mar',
		cs: '3.'
	},

	'month-3-short': {
		en: 'Apr',
		es: 'Apr',
		pt: 'Apr',
		fr: 'Apr',
		de: 'Apr',
		zh: 'Apr',
		ru: 'Apr',
		hi: 'Apr',
		cs: '4.'
	},

	'month-4-short': {
		en: 'May',
		es: 'May',
		pt: 'May',
		fr: 'May',
		de: 'May',
		zh: 'May',
		ru: 'May',
		hi: 'May',
		cs: '5.'
	},

	'month-5-short': {
		en: 'Jun',
		es: 'Jun',
		pt: 'Jun',
		fr: 'Jun',
		de: 'Jun',
		zh: 'Jun',
		ru: 'Jun',
		hi: 'Jun',
		cs: '6.'
	},

	'month-6-short': {
		en: 'Jul',
		es: 'Jul',
		pt: 'Jul',
		fr: 'Jul',
		de: 'Jul',
		zh: 'Jul',
		ru: 'Jul',
		hi: 'Jul',
		cs: '7.'
	},

	'month-7-short': {
		en: 'Aug',
		es: 'Aug',
		pt: 'Aug',
		fr: 'Aug',
		de: 'Aug',
		zh: 'Aug',
		ru: 'Aug',
		hi: 'Aug',
		cs: '8.'
	},

	'month-8-short': {
		en: 'Sep',
		es: 'Sep',
		pt: 'Sep',
		fr: 'Sep',
		de: 'Sep',
		zh: 'Sep',
		ru: 'Sep',
		hi: 'Sep',
		cs: '9.'
	},

	'month-9-short': {
		en: 'Oct',
		es: 'Oct',
		pt: 'Oct',
		fr: 'Oct',
		de: 'Oct',
		zh: 'Oct',
		ru: 'Oct',
		hi: 'Oct',
		cs: '10.'
	},

	'month-10-short': {
		en: 'Nov',
		es: 'Nov',
		pt: 'Nov',
		fr: 'Nov',
		de: 'Nov',
		zh: 'Nov',
		ru: 'Nov',
		hi: 'Nov',
		cs: '11.'
	},

	'month-11-short': {
		en: 'Dec',
		es: 'Dec',
		pt: 'Dec',
		fr: 'Dec',
		de: 'Dec',
		zh: 'Dec',
		ru: 'Dec',
		hi: 'Dec',
		cs: '12.'
	},

	'day-0': {
		en: 'Sun',
		es: 'Sun',
		pt: 'Sun',
		fr: 'Sun',
		de: 'Sun',
		zh: 'Sun',
		ru: 'Sun',
		hi: 'Sun',
		cs: 'Ne'
	},

	'day-1': {
		en: 'Mon',
		es: 'Mon',
		pt: 'Mon',
		fr: 'Mon',
		de: 'Mon',
		zh: 'Mon',
		ru: 'Mon',
		hi: 'Mon',
		cs: 'Po'
	},

	'day-2': {
		en: 'Tue',
		es: 'Tue',
		pt: 'Tue',
		fr: 'Tue',
		de: 'Tue',
		zh: 'Tue',
		ru: 'Tue',
		hi: 'Tue',
		cs: 'Út'
	},

	'day-3': {
		en: 'Wed',
		es: 'Wed',
		pt: 'Wed',
		fr: 'Wed',
		de: 'Wed',
		zh: 'Wed',
		ru: 'Wed',
		hi: 'Wed',
		cs: 'St'
	},

	'day-4': {
		en: 'Thu',
		es: 'Thu',
		pt: 'Thu',
		fr: 'Thu',
		de: 'Thu',
		zh: 'Thu',
		ru: 'Thu',
		hi: 'Thu',
		cs: 'Čt'
	},

	'day-5': {
		en: 'Fri',
		es: 'Fri',
		pt: 'Fri',
		fr: 'Fri',
		de: 'Fri',
		zh: 'Fri',
		ru: 'Fri',
		hi: 'Fri',
		cs: 'Pá'
	},

	'day-6': {
		en: 'Sat',
		es: 'Sat',
		pt: 'Sat',
		fr: 'Sat',
		de: 'Sat',
		zh: 'Sat',
		ru: 'Sat',
		hi: 'Sat',
		cs: 'So'
	},

	'day-7': {
		en: 'Sun',
		es: 'Sun',
		pt: 'Sun',
		fr: 'Sun',
		de: 'Sun',
		zh: 'Sun',
		ru: 'Sun',
		hi: 'Sun',
		cs: 'Ne'
	},

	'day-1-full': {
		en: 'Monday',
		es: 'Monday',
		pt: 'Monday',
		fr: 'Monday',
		de: 'Monday',
		zh: 'Monday',
		ru: 'Monday',
		hi: 'Monday',
		cs: 'Pondělí'
	},

	'day-2-full': {
		en: 'Tuesday',
		es: 'Tuesday',
		pt: 'Tuesday',
		fr: 'Tuesday',
		de: 'Tuesday',
		zh: 'Tuesday',
		ru: 'Tuesday',
		hi: 'Tuesday',
		cs: 'Úterý'
	},

	'day-3-full': {
		en: 'Wednesday',
		es: 'Wednesday',
		pt: 'Wednesday',
		fr: 'Wednesday',
		de: 'Wednesday',
		zh: 'Wednesday',
		ru: 'Wednesday',
		hi: 'Wednesday',
		cs: 'Středa'
	},

	'day-4-full': {
		en: 'Thursday',
		es: 'Thursday',
		pt: 'Thursday',
		fr: 'Thursday',
		de: 'Thursday',
		zh: 'Thursday',
		ru: 'Thursday',
		hi: 'Thursday',
		cs: 'Čtvrtek'
	},

	'day-5-full': {
		en: 'Friday',
		es: 'Friday',
		pt: 'Friday',
		fr: 'Friday',
		de: 'Friday',
		zh: 'Friday',
		ru: 'Friday',
		hi: 'Friday',
		cs: 'Pátek'
	},

	'day-6-full': {
		en: 'Saturday',
		es: 'Saturday',
		pt: 'Saturday',
		fr: 'Saturday',
		de: 'Saturday',
		zh: 'Saturday',
		ru: 'Saturday',
		hi: 'Saturday',
		cs: 'Sobota'
	},

	'day-7-full': {
		en: 'Sunday',
		es: 'Sunday',
		pt: 'Sunday',
		fr: 'Sunday',
		de: 'Sunday',
		zh: 'Sunday',
		ru: 'Sunday',
		hi: 'Sunday',
		cs: 'Neděle'
	},

	'help-share-message': {
		en: 'Check the new DPP app',
		es: 'Check the new DPP app',
		pt: 'Check the new DPP app',
		fr: 'Check the new DPP app',
		de: 'Check the new DPP app',
		zh: 'Check the new DPP app',
		ru: 'Check the new DPP app',
		hi: 'Check the new DPP app',
		cs: 'Mrkni na novou DPP appku'
	},

	'help-share-subject': {
		en: 'New DPP app',
		es: 'New DPP app',
		pt: 'New DPP app',
		fr: 'New DPP app',
		de: 'New DPP app',
		zh: 'New DPP app',
		ru: 'New DPP app',
		hi: 'New DPP app',
		cs: 'Nová DPP appka'
	},

	'help-share-link': {
		en: 'http://e0.cz/dpphelpshare',
		es: 'http://e0.cz/dpphelpshare',
		pt: 'http://e0.cz/dpphelpshare',
		fr: 'http://e0.cz/dpphelpshare',
		de: 'http://e0.cz/dpphelpshare',
		zh: 'http://e0.cz/dpphelpshare',
		ru: 'http://e0.cz/dpphelpshare',
		hi: 'http://e0.cz/dpphelpshare',
		cs: 'http://e0.cz/dpphelpshare',
		info: 'Ignore this.'
	},

	'help-share-title': {
		en: 'Choose who to share the link with',
		es: 'Choose who to share the link with',
		pt: 'Choose who to share the link with',
		fr: 'Choose who to share the link with',
		de: 'Choose who to share the link with',
		zh: 'Choose who to share the link with',
		ru: 'Choose who to share the link with',
		hi: 'Choose who to share the link with',
		cs: 'Vyberte s kým sdílet aplikaci'
	},

	'checks-error1': {
		en: 'Please write where did you see the ticket check.',
		es: 'Please write where did you see the ticket check.',
		pt: 'Please write where did you see the ticket check.',
		fr: 'Please write where did you see the ticket check.',
		de: 'Please write where did you see the ticket check.',
		zh: 'Please write where did you see the ticket check.',
		ru: 'Please write where did you see the ticket check.',
		hi: 'Please write where did you see the ticket check.',
		cs: 'Napište prosím kde jste viděli revizi.'
	},

	'checks-error2': {
		en: 'There was a problem sending the report to the server. Please try again.',
		es: 'There was a problem sending the report to the server. Please try again.',
		pt: 'There was a problem sending the report to the server. Please try again.',
		fr: 'There was a problem sending the report to the server. Please try again.',
		de: 'There was a problem sending the report to the server. Please try again.',
		zh: 'There was a problem sending the report to the server. Please try again.',
		ru: 'There was a problem sending the report to the server. Please try again.',
		hi: 'There was a problem sending the report to the server. Please try again.',
		cs: 'Došlo k chybě. Zkuste to prosím ještě jednou.'
	},

	'checks-thanks': {
		en: 'Thank you for the report.',
		es: 'Thank you for the report.',
		pt: 'Thank you for the report.',
		fr: 'Thank you for the report.',
		de: 'Thank you for the report.',
		zh: 'Thank you for the report.',
		ru: 'Thank you for the report.',
		hi: 'Thank you for the report.',
		cs: 'Děkujeme za oznámení.'
	},

	'checks-noreports': {
		en: "It's probably clear.",
		es: "It's probably clear.",
		pt: "It's probably clear.",
		fr: "It's probably clear.",
		de: "It's probably clear.",
		zh: "It's probably clear.",
		ru: "It's probably clear.",
		hi: "It's probably clear.",
		cs: 'Asi je vzduch čistý.'
	},

	'checks-where': {
		en: 'Station / stop / place',
		es: 'Station / stop / place',
		pt: 'Station / stop / place',
		fr: 'Station / stop / place',
		de: 'Station / stop / place',
		zh: 'Station / stop / place',
		ru: 'Station / stop / place',
		hi: 'Station / stop / place',
		cs: 'Stanice / zastávka / místo'
	},

	'checks-time': {
		en: 'Time',
		es: 'Time',
		pt: 'Time',
		fr: 'Time',
		de: 'Time',
		zh: 'Time',
		ru: 'Time',
		hi: 'Time',
		cs: 'Čas'
	},

	'tip-1': {
		en: 'Any found connection can be saved for later using the <i class="fa fa-save"></i> icon.',
		es: 'Any found connection can be saved for later using the <i class="fa fa-save"></i> icon.',
		pt: 'Any found connection can be saved for later using the <i class="fa fa-save"></i> icon.',
		fr: 'Any found connection can be saved for later using the <i class="fa fa-save"></i> icon.',
		de: 'Any found connection can be saved for later using the <i class="fa fa-save"></i> icon.',
		zh: 'Any found connection can be saved for later using the <i class="fa fa-save"></i> icon.',
		ru: 'Any found connection can be saved for later using the <i class="fa fa-save"></i> icon.',
		hi: 'Any found connection can be saved for later using the <i class="fa fa-save"></i> icon.',
		cs: 'Jakékoli nalezené spojení je možné uložit na později pomocí ikonky <i class="fa fa-save"></i> .'
	},

	'tip-2': {
		en: 'Saved connections can be shared and copied as a text.',
		es: 'Saved connections can be shared and copied as a text.',
		pt: 'Saved connections can be shared and copied as a text.',
		fr: 'Saved connections can be shared and copied as a text.',
		de: 'Saved connections can be shared and copied as a text.',
		zh: 'Saved connections can be shared and copied as a text.',
		ru: 'Saved connections can be shared and copied as a text.',
		hi: 'Saved connections can be shared and copied as a text.',
		cs: 'Uložená spojení je možné sdílet nebo kopírovat jako text.'
	},

	'tip-3': {
		en: 'A reminder can be set up for each saved connection. Just tap the <i class="fa fa-clock-o"></i> icon to setup one.',
		es: 'A reminder can be set up for each saved connection. Just tap the <i class="fa fa-clock-o"></i> icon to setup one.',
		pt: 'A reminder can be set up for each saved connection. Just tap the <i class="fa fa-clock-o"></i> icon to setup one.',
		fr: 'A reminder can be set up for each saved connection. Just tap the <i class="fa fa-clock-o"></i> icon to setup one.',
		de: 'A reminder can be set up for each saved connection. Just tap the <i class="fa fa-clock-o"></i> icon to setup one.',
		zh: 'A reminder can be set up for each saved connection. Just tap the <i class="fa fa-clock-o"></i> icon to setup one.',
		ru: 'A reminder can be set up for each saved connection. Just tap the <i class="fa fa-clock-o"></i> icon to setup one.',
		hi: 'A reminder can be set up for each saved connection. Just tap the <i class="fa fa-clock-o"></i> icon to setup one.',
		cs: 'Pro uložená spojení si můžete nastavit upomínky. Stačí zmáčknout ikonku <i class="fa fa-clock-o"></i> a nastavit si kolik minut předem se vám váš spoj má připomenout.'
	},

	'tip-4': {
		en: 'Have you just seen a ticket check? Warn others in the <a href="#" class="no-forward" onclick="dpp.go2(\'checks\')">Checks</a> section.',
		es: 'Have you just seen a ticket check? Warn others in the <a href="#" class="no-forward" onclick="dpp.go2(\'checks\')">Checks</a> section.',
		pt: 'Have you just seen a ticket check? Warn others in the <a href="#" class="no-forward" onclick="dpp.go2(\'checks\')">Checks</a> section.',
		fr: 'Have you just seen a ticket check? Warn others in the <a href="#" class="no-forward" onclick="dpp.go2(\'checks\')">Checks</a> section.',
		de: 'Have you just seen a ticket check? Warn others in the <a href="#" class="no-forward" onclick="dpp.go2(\'checks\')">Checks</a> section.',
		zh: 'Have you just seen a ticket check? Warn others in the <a href="#" class="no-forward" onclick="dpp.go2(\'checks\')">Checks</a> section.',
		ru: 'Have you just seen a ticket check? Warn others in the <a href="#" class="no-forward" onclick="dpp.go2(\'checks\')">Checks</a> section.',
		hi: 'Have you just seen a ticket check? Warn others in the <a href="#" class="no-forward" onclick="dpp.go2(\'checks\')">Checks</a> section.',
		cs: 'Viděli jste právě revizi? Varujte ostatní v sekci <a href="#" class="no-forward" onclick="dpp.go2(\'checks\')">Revize</a>.'
	},

	'tip-5': {
		en: 'Some tickets can be purchased over SMS. You can choose from the available SMS tickets in the <a href="#" class="no-forward" onclick="dpp.go2(\'tickets\')">Tickets</a> section.',
		es: 'Some tickets can be purchased over SMS. You can choose from the available SMS tickets in the <a href="#" class="no-forward" onclick="dpp.go2(\'tickets\')">Tickets</a> section.',
		pt: 'Some tickets can be purchased over SMS. You can choose from the available SMS tickets in the <a href="#" class="no-forward" onclick="dpp.go2(\'tickets\')">Tickets</a> section..',
		fr: 'Some tickets can be purchased over SMS. You can choose from the available SMS tickets in the <a href="#" class="no-forward" onclick="dpp.go2(\'tickets\')">Tickets</a> section.',
		de: 'Some tickets can be purchased over SMS. You can choose from the available SMS tickets in the <a href="#" class="no-forward" onclick="dpp.go2(\'tickets\')">Tickets</a> section.',
		zh: 'Some tickets can be purchased over SMS. You can choose from the available SMS tickets in the <a href="#" class="no-forward" onclick="dpp.go2(\'tickets\')">Tickets</a> section.',
		ru: 'Some tickets can be purchased over SMS. You can choose from the available SMS tickets in the <a href="#" class="no-forward" onclick="dpp.go2(\'tickets\')">Tickets</a> section.',
		hi: 'Some tickets can be purchased over SMS. You can choose from the available SMS tickets in the <a href="#" class="no-forward" onclick="dpp.go2(\'tickets\')">Tickets</a> section.',
		cs: 'Některé jízdenky je možné zakoupit pomocí SMS. V sekci <a href="#" class="no-forward" onclick="dpp.go2(\'tickets\')">Jízdenky</a> si můžete vybrat ze všech dostupných SMS jízdenek.'
	},

	'tip-6': {
		en: 'Are you in the middle of nowhere? Closest stops can be found in the <a href="#" class="no-forward" onclick="dpp.go2(\'map\')">Nearest Stops</a> section.',
		es: 'Are you in the middle of nowhere? Closest stops can be found in the <a href="#" class="no-forward" onclick="dpp.go2(\'map\')">Nearest Stops</a> section.',
		pt: 'Are you in the middle of nowhere? Closest stops can be found in the <a href="#" class="no-forward" onclick="dpp.go2(\'map\')">Nearest Stops</a> section.',
		fr: 'Are you in the middle of nowhere? Closest stops can be found in the <a href="#" class="no-forward" onclick="dpp.go2(\'map\')">Nearest Stops</a> section.',
		de: 'Are you in the middle of nowhere? Closest stops can be found in the <a href="#" class="no-forward" onclick="dpp.go2(\'map\')">Nearest Stops</a> section.',
		zh: 'Are you in the middle of nowhere? Closest stops can be found in the <a href="#" class="no-forward" onclick="dpp.go2(\'map\')">Nearest Stops</a> section.',
		ru: 'Are you in the middle of nowhere? Closest stops can be found in the <a href="#" class="no-forward" onclick="dpp.go2(\'map\')">Nearest Stops</a> section.',
		hi: 'Are you in the middle of nowhere? Closest stops can be found in the <a href="#" class="no-forward" onclick="dpp.go2(\'map\')">Nearest Stops</a> section.',
		cs: 'Nevíte, kde jste? Nejbližší zastávky si můžete zobrazit v sekci <a href="#" class="no-forward" onclick="dpp.go2(\'map\')">Zastávky v Okolí</a>.'
	},

	'tip-7': {
		en: 'Have you discovered a bug in this app? The developers are always listening to your <a href="#" class="no-forward" onclick="dpp.go2(\'aboutapp\')">feedback and ideas</a>.',
		es: 'Have you discovered a bug in this app? The developers are always listening to your <a href="#" class="no-forward" onclick="dpp.go2(\'aboutapp\')">feedback and ideas</a>.',
		pt: 'Have you discovered a bug in this app? The developers are always listening to your <a href="#" class="no-forward" onclick="dpp.go2(\'aboutapp\')">feedback and ideas</a>.',
		fr: 'Have you discovered a bug in this app? The developers are always listening to your <a href="#" class="no-forward" onclick="dpp.go2(\'aboutapp\')">feedback and ideas</a>.',
		de: 'Have you discovered a bug in this app? The developers are always listening to your <a href="#" class="no-forward" onclick="dpp.go2(\'aboutapp\')">feedback and ideas</a>.',
		zh: 'Have you discovered a bug in this app? The developers are always listening to your <a href="#" class="no-forward" onclick="dpp.go2(\'aboutapp\')">feedback and ideas</a>.',
		ru: 'Have you discovered a bug in this app? The developers are always listening to your <a href="#" class="no-forward" onclick="dpp.go2(\'aboutapp\')">feedback and ideas</a>.',
		hi: 'Have you discovered a bug in this app? The developers are always listening to your <a href="#" class="no-forward" onclick="dpp.go2(\'aboutapp\')">feedback and ideas</a>.',
		cs: 'Objevili jste v této aplikaci chybu? Tvůrci této aplikace vždy naslouchají vašim <a href="#" class="no-forward" onclick="dpp.go2(\'aboutapp\')">názorům a nápadům</a>.'
	},

	'tip-8': {
		en: 'You can choose from several ways of selecting time in the connection search form. Just head to the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a> and choose the one you prefer.',
		es: 'You can choose from several ways of selecting time in the connection search form. Just head to the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a> and choose the one you prefer.',
		pt: 'You can choose from several ways of selecting time in the connection search form. Just head to the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a> and choose the one you prefer.',
		fr: 'You can choose from several ways of selecting time in the connection search form. Just head to the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a> and choose the one you prefer.',
		de: 'You can choose from several ways of selecting time in the connection search form. Just head to the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a> and choose the one you prefer.',
		zh: 'You can choose from several ways of selecting time in the connection search form. Just head to the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a> and choose the one you prefer.',
		ru: 'You can choose from several ways of selecting time in the connection search form. Just head to the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a> and choose the one you prefer.',
		hi: 'You can choose from several ways of selecting time in the connection search form. Just head to the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a> and choose the one you prefer.',
		cs: 'V <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">nastavení</a> si můžete vybrat z několika způsobů výberu času ve vyhledávacím formuláři.'
	},

	'tip-9': {
		en: 'You can adjust the amount of displayed recently-searched routes and stops in the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a>.',
		es: 'You can adjust the amount of displayed recently-searched routes and stops in the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a>.',
		pt: 'You can adjust the amount of displayed recently-searched routes and stops in the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a>.',
		fr: 'You can adjust the amount of displayed recently-searched routes and stops in the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a>.',
		de: 'You can adjust the amount of displayed recently-searched routes and stops in the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a>.',
		zh: 'You can adjust the amount of displayed recently-searched routes and stops in the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a>.',
		ru: 'You can adjust the amount of displayed recently-searched routes and stops in the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a>.',
		hi: 'You can adjust the amount of displayed recently-searched routes and stops in the <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">settings</a>.',
		cs: 'V <a href="#" class="no-forward" onclick="dpp.go2(\'settings\')">nastavení</a> si můžete upravit počet posledních vyhledávaných tras a zastávek k zobrazení.'
	},

	'tip-10': {
		en: 'By viewing advertisements you directly fund further development of this app.',
		es: 'By viewing advertisements you directly fund further development of this app.',
		pt: 'By viewing advertisements you directly fund further development of this app.',
		fr: 'By viewing advertisements you directly fund further development of this app.',
		de: 'By viewing advertisements you directly fund further development of this app.',
		zh: 'By viewing advertisements you directly fund further development of this app.',
		ru: 'By viewing advertisements you directly fund further development of this app.',
		hi: 'By viewing advertisements you directly fund further development of this app.',
		cs: 'Sledováním reklam přímo příspíváte na další vývoj této aplikace.'
	},

	'search-departure': {
		en: 'Departure',
		es: 'Departure',
		pt: 'Departure',
		fr: 'Departure',
		de: 'Departure',
		zh: 'Departure',
		ru: 'Departure',
		hi: 'Departure',
		cs: 'Odjezd'
	},

	'search-arrival': {
		en: 'Arrival',
		es: 'Arrival',
		pt: 'Arrival',
		fr: 'Arrival',
		de: 'Arrival',
		zh: 'Arrival',
		ru: 'Arrival',
		hi: 'Arrival',
		cs: 'Příjezd'
	},

	'search-noconnections': {
		en: 'No suitable connection was found for these search options.',
		es: 'No suitable connection was found for these search options.',
		pt: 'No suitable connection was found for these search options.',
		fr: 'No suitable connection was found for these search options.',
		de: 'No suitable connection was found for these search options.',
		zh: 'No suitable connection was found for these search options.',
		ru: 'No suitable connection was found for these search options.',
		hi: 'No suitable connection was found for these search options.',
		cs: 'Žádné odpovídající spojení nebylo nalezeno pro tato nastavení vyhledávání.'
	},

	'search-nointernet': {
		en: 'There was an error while searching the connections. Are you connected to the internet?',
		es: 'There was an error while searching the connections. Are you connected to the internet?',
		pt: 'There was an error while searching the connections. Are you connected to the internet?',
		fr: 'There was an error while searching the connections. Are you connected to the internet?',
		de: 'There was an error while searching the connections. Are you connected to the internet?',
		zh: 'There was an error while searching the connections. Are you connected to the internet?',
		ru: 'There was an error while searching the connections. Are you connected to the internet?',
		hi: 'There was an error while searching the connections. Are you connected to the internet?',
		cs: 'Při načítání dat nastala chyba. Jste připojeni k internetu?'
	},

	'search-previous': {
		en: 'Previous',
		es: 'Previous',
		pt: 'Previous',
		fr: 'Previous',
		de: 'Previous',
		zh: 'Previous',
		ru: 'Previous',
		hi: 'Previous',
		cs: 'Předchozí'
	},

	'search-next': {
		en: 'Next',
		es: 'Next',
		pt: 'Next',
		fr: 'Next',
		de: 'Next',
		zh: 'Next',
		ru: 'Next',
		hi: 'Next',
		cs: 'Následující'
	},

	'search-transfer': {
		en: 'transfer',
		es: 'transfer',
		pt: 'transfer',
		fr: 'transfer',
		de: 'transfer',
		zh: 'transfer',
		ru: 'transfer',
		hi: 'transfer',
		cs: 'přestup'
	},

	'search-transfers': {
		en: 'transfers',
		es: 'transfers',
		pt: 'transfers',
		fr: 'transfers',
		de: 'transfers',
		zh: 'transfers',
		ru: 'transfers',
		hi: 'transfers',
		cs: 'přestupy'
	},

	'search-hour-short': {
		en: 'h',
		es: 'h',
		pt: 'h',
		fr: 'h',
		de: 'h',
		zh: 'h',
		ru: 'h',
		hi: 'h',
		cs: 'h'
	},

	'search-minute-short': {
		en: 'm',
		es: 'm',
		pt: 'm',
		fr: 'm',
		de: 'm',
		zh: 'm',
		ru: 'm',
		hi: 'm',
		cs: 'm'
	},

	'search-byfoot': {
		en: 'Transfer by foot, about',
		es: 'Transfer by foot, about',
		pt: 'Transfer by foot, about',
		fr: 'Transfer by foot, about',
		de: 'Transfer by foot, about',
		zh: 'Transfer by foot, about',
		ru: 'Transfer by foot, about',
		hi: 'Transfer by foot, about',
		cs: 'Přesun pěšky asi'
	},

	'search-minute': {
		en: 'minute',
		es: 'minute',
		pt: 'minute',
		fr: 'minute',
		de: 'minute',
		zh: 'minute',
		ru: 'minute',
		hi: 'minute',
		cs: 'minuta'
	},

	'search-minutes': {
		en: 'minutes',
		es: 'minutes',
		pt: 'minutes',
		fr: 'minutes',
		de: 'minutes',
		zh: 'minutes',
		ru: 'minutes',
		hi: 'minutes',
		cs: 'minuty'
	},

	'search-error1': {
		en: 'Please enter a departure station (the Start field).',
		es: 'Please enter a departure station (the Start field).',
		pt: 'Please enter a departure station (the Start field).',
		fr: 'Please enter a departure station (the Start field).',
		de: 'Please enter a departure station (the Start field).',
		zh: 'Please enter a departure station (the Start field).',
		ru: 'Please enter a departure station (the Start field).',
		hi: 'Please enter a departure station (the Start field).',
		cs: 'Vyplňte prosím místo odjdezdu (pole Start).'
	},

	'search-error2': {
		en: 'Please enter a destination station (the Destination field).',
		es: 'Please enter a destination station (the Destination field).',
		pt: 'Please enter a destination station (the Destination field).',
		fr: 'Please enter a destination station (the Destination field).',
		de: 'Please enter a destination station (the Destination field).',
		zh: 'Please enter a destination station (the Destination field).',
		ru: 'Please enter a destination station (the Destination field).',
		hi: 'Please enter a destination station (the Destination field).',
		cs: 'Vyplňte prosím cíl vaší cesty (pole Cíl).'
	},

	'search-error3': {
		en: 'The start and destination of your journey shouldn\' be the same.',
		es: 'The start and destination of your journey shouldn\' be the same.',
		pt: 'The start and destination of your journey shouldn\' be the same.',
		fr: 'The start and destination of your journey shouldn\' be the same.',
		de: 'The start and destination of your journey shouldn\' be the same.',
		zh: 'The start and destination of your journey shouldn\' be the same.',
		ru: 'The start and destination of your journey shouldn\' be the same.',
		hi: 'The start and destination of your journey shouldn\' be the same.',
		cs: 'Start a cíl vaší cesty by se neměly shodovat.'
	},

	'search-error4': {
		en: 'The stop on your journey (Via) shouldn\'t be the same as the start.',
		es: 'The stop on your journey (Via) shouldn\'t be the same as the start.',
		pt: 'The stop on your journey (Via) shouldn\'t be the same as the start.',
		fr: 'The stop on your journey (Via) shouldn\'t be the same as the start.',
		de: 'The stop on your journey (Via) shouldn\'t be the same as the start.',
		zh: 'The stop on your journey (Via) shouldn\'t be the same as the start.',
		ru: 'The stop on your journey (Via) shouldn\'t be the same as the start.',
		hi: 'The stop on your journey (Via) shouldn\'t be the same as the start.',
		cs: 'Místo zastávky (Přes) a start vaší cesty by se neměly shodovat.'
	},

	'search-error5': {
		en: 'The stop on your journey (Via) shouldn\'t be the same as the destination.',
		es: 'The stop on your journey (Via) shouldn\'t be the same as the destination.',
		pt: 'The stop on your journey (Via) shouldn\'t be the same as the destination.',
		fr: 'The stop on your journey (Via) shouldn\'t be the same as the destination.',
		de: 'The stop on your journey (Via) shouldn\'t be the same as the destination.',
		zh: 'The stop on your journey (Via) shouldn\'t be the same as the destination.',
		ru: 'The stop on your journey (Via) shouldn\'t be the same as the destination.',
		hi: 'The stop on your journey (Via) shouldn\'t be the same as the destination.',
		cs: 'Místo zastávky (Přes) a cíl vaší cesty by se neměly shodovat.'
	},

	'search-error6': {
		en: 'The time should be in a 24-hour format, e.g. 8:00 or 22:30.',
		es: 'The time should be in a 24-hour format, e.g. 8:00 or 22:30.',
		pt: 'The time should be in a 24-hour format, e.g. 8:00 or 22:30.',
		fr: 'The time should be in a 24-hour format, e.g. 8:00 or 22:30.',
		de: 'The time should be in a 24-hour format, e.g. 8:00 or 22:30.',
		zh: 'The time should be in a 24-hour format, e.g. 8:00 or 22:30.',
		ru: 'The time should be in a 24-hour format, e.g. 8:00 or 22:30.',
		hi: 'The time should be in a 24-hour format, e.g. 8:00 or 22:30.',
		cs: 'Čas by měl být ve čtyřiadvacetihodinovém formátu, například 8:00 nebo 22:30.'
	},

	'search-error7': {
		en: 'The date should be in a format of DD.MM.YYYY.',
		es: 'The date should be in a format of DD.MM.YYYY.',
		pt: 'The date should be in a format of DD.MM.YYYY.',
		fr: 'The date should be in a format of DD.MM.YYYY.',
		de: 'The date should be in a format of DD.MM.YYYY.',
		zh: 'The date should be in a format of DD.MM.YYYY.',
		ru: 'The date should be in a format of DD.MM.YYYY.',
		hi: 'The date should be in a format of DD.MM.YYYY.',
		cs: 'Datum by měl být ve formátu DD.MM.RRRR.'
	},

	'savedconnections-none1': {
		en: 'While searching connections, you can save the found results so you don\'t have to remember them.',
		es: 'While searching connections, you can save the found results so you don\'t have to remember them.',
		pt: 'While searching connections, you can save the found results so you don\'t have to remember them.',
		fr: 'While searching connections, you can save the found results so you don\'t have to remember them.',
		de: 'While searching connections, you can save the found results so you don\'t have to remember them.',
		zh: 'While searching connections, you can save the found results so you don\'t have to remember them.',
		ru: 'While searching connections, you can save the found results so you don\'t have to remember them.',
		hi: 'While searching connections, you can save the found results so you don\'t have to remember them.',
		cs: 'Při vyhledávání spojení si můžete ukládat nalezené výsledky, abyste si je nemuseli pamatovat.'
	},

	'savedconnections-none2': {
		en: 'So far you\'ve got none saved, simply click the <i class="fa fa-save"></i> button within the head of a found connection that you want to save.',
		es: 'So far you\'ve got none saved, simply click the <i class="fa fa-save"></i> button within the head of a found connection that you want to save.',
		pt: 'So far you\'ve got none saved, simply click the <i class="fa fa-save"></i> button within the head of a found connection that you want to save.',
		fr: 'So far you\'ve got none saved, simply click the <i class="fa fa-save"></i> button within the head of a found connection that you want to save.',
		de: 'So far you\'ve got none saved, simply click the <i class="fa fa-save"></i> button within the head of a found connection that you want to save.',
		zh: 'So far you\'ve got none saved, simply click the <i class="fa fa-save"></i> button within the head of a found connection that you want to save.',
		ru: 'So far you\'ve got none saved, simply click the <i class="fa fa-save"></i> button within the head of a found connection that you want to save.',
		hi: 'So far you\'ve got none saved, simply click the <i class="fa fa-save"></i> button within the head of a found connection that you want to save.',
		cs: 'Zatím jste si žádná neuložili, stačí kliknout na tlačítko <i class="fa fa-save"></i> v hlavičce každého vyhledaného spojení.'
	},

	'modal-notification-done': {
		en: 'Remind',
		es: 'Remind',
		pt: 'Remind',
		fr: 'Remind',
		de: 'Remind',
		zh: 'Remind',
		ru: 'Remind',
		hi: 'Remind',
		cs: 'Připomenout'
	},

	'savedconnections-connectiongone': {
		en: 'It seems like you have already missed this connection, or it\'s leaving very soon',
		es: 'It seems like you have already missed this connection, or it\'s leaving very soon',
		pt: 'It seems like you have already missed this connection, or it\'s leaving very soon',
		fr: 'It seems like you have already missed this connection, or it\'s leaving very soon',
		de: 'It seems like you have already missed this connection, or it\'s leaving very soon',
		zh: 'It seems like you have already missed this connection, or it\'s leaving very soon',
		ru: 'It seems like you have already missed this connection, or it\'s leaving very soon',
		hi: 'It seems like you have already missed this connection, or it\'s leaving very soon',
		cs: 'Zdá se, že tenhle spoj už jste promeškali a nebo odjíždí co nevidět.'
	},

	'modal-notification-earlier': {
		en: 'minutes earlier',
		es: 'minutes earlier',
		pt: 'minutes earlier',
		fr: 'minutes earlier',
		de: 'minutes earlier',
		zh: 'minutes earlier',
		ru: 'minutes earlier',
		hi: 'minutes earlier',
		cs: 'minut předem'
	},

	'notification1-title': {
		en: 'Leaving in ',
		es: 'Leaving in ',
		pt: 'Leaving in ',
		fr: 'Leaving in ',
		de: 'Leaving in ',
		zh: 'Leaving in ',
		ru: 'Leaving in ',
		hi: 'Leaving in ',
		cs: 'Odjezd za '
	},

	'notification1-text1': {
		en: 'Connection for ',
		es: 'Connection for ',
		pt: 'Connection for ',
		fr: 'Connection for ',
		de: 'Connection for ',
		zh: 'Connection for ',
		ru: 'Connection for ',
		hi: 'Connection for ',
		cs: 'Spoj na '
	},

	'notification1-text2': {
		en: ' is leaving soon. Time to get ready.',
		es: ' is leaving soon. Time to get ready.',
		pt: ' is leaving soon. Time to get ready.',
		fr: ' is leaving soon. Time to get ready.',
		de: ' is leaving soon. Time to get ready.',
		zh: ' is leaving soon. Time to get ready.',
		ru: ' is leaving soon. Time to get ready.',
		hi: ' is leaving soon. Time to get ready.',
		cs: ' odjíždí brzy. Je čas se připravit.'
	},

	'news-extra': {
		en: 'Extraordinary Events',
		es: 'Extraordinary Events',
		pt: 'Extraordinary Events',
		fr: 'Extraordinary Events',
		de: 'Extraordinary Events',
		zh: 'Extraordinary Events',
		ru: 'Extraordinary Events',
		hi: 'Extraordinary Events',
		cs: 'Mimořádné Události'
	},

	'news-regular': {
		en: 'Planned Restrictions',
		es: 'Planned Restrictions',
		pt: 'Planned Restrictions',
		fr: 'Planned Restrictions',
		de: 'Planned Restrictions',
		zh: 'Planned Restrictions',
		ru: 'Planned Restrictions',
		hi: 'Planned Restrictions',
		cs: 'Omezení v Dopravě'
	},

	'news-extra-duration': {
		en: 'Duration',
		es: 'Duration',
		pt: 'Duration',
		fr: 'Duration',
		de: 'Duration',
		zh: 'Duration',
		ru: 'Duration',
		hi: 'Duration',
		cs: 'Platnost'
	},

	'news-extra-duration': {
		en: 'Duration',
		es: 'Duration',
		pt: 'Duration',
		fr: 'Duration',
		de: 'Duration',
		zh: 'Duration',
		ru: 'Duration',
		hi: 'Duration',
		cs: 'Platnost'
	},

	'news-extra-lines': {
		en: 'Affected lines',
		es: 'Affected lines',
		pt: 'Affected lines',
		fr: 'Affected lines',
		de: 'Affected lines',
		zh: 'Affected lines',
		ru: 'Affected lines',
		hi: 'Affected lines',
		cs: 'Dotčené linky'
	},

	'news-extra-type': {
		en: 'Situation',
		es: 'Situation',
		pt: 'Situation',
		fr: 'Situation',
		de: 'Situation',
		zh: 'Situation',
		ru: 'Situation',
		hi: 'Situation',
		cs: 'Typ události'
	},

	'viewondpp': {
		en: 'View on dpp.cz',
		es: 'View on dpp.cz',
		pt: 'View on dpp.cz',
		fr: 'View on dpp.cz',
		de: 'View on dpp.cz',
		zh: 'View on dpp.cz',
		ru: 'View on dpp.cz',
		hi: 'View on dpp.cz',
		cs: 'Otevřít na dpp.cz'
	},

	'news-extra-type-1': {
		en: 'Limited service',
		es: 'Limited service',
		pt: 'Limited service',
		fr: 'Limited service',
		de: 'Limited service',
		zh: 'Limited service',
		ru: 'Limited service',
		hi: 'Limited service',
		cs: 'Provoz omezen'
	},

	'news-extra-type-2': {
		en: 'Delays',
		es: 'Delays',
		pt: 'Delays',
		fr: 'Delays',
		de: 'Delays',
		zh: 'Delays',
		ru: 'Delays',
		hi: 'Delays',
		cs: 'Zpoždění spojů'
	},

	'news-extra-type-3': {
		en: 'Transport interrupted',
		es: 'Transport interrupted',
		pt: 'Transport interrupted',
		fr: 'Transport interrupted',
		de: 'Transport interrupted',
		zh: 'Transport interrupted',
		ru: 'Transport interrupted',
		hi: 'Transport interrupted',
		cs: 'Provoz zastaven'
	},

	'news-extra-type-4': {
		en: 'Interrupted, substitute bus transport',
		es: 'Interrupted, substitute bus transport',
		pt: 'Interrupted, substitute bus transport',
		fr: 'Interrupted, substitute bus transport',
		de: 'Interrupted, substitute bus transport',
		zh: 'Interrupted, substitute bus transport',
		ru: 'Interrupted, substitute bus transport',
		hi: 'Interrupted, substitute bus transport',
		cs: 'Provoz zastaven, zavedena NAD'
	},

	'news-extra-type-5': {
		en: 'Other',
		es: 'Other',
		pt: 'Other',
		fr: 'Other',
		de: 'Other',
		zh: 'Other',
		ru: 'Other',
		hi: 'Other',
		cs: 'Ostatní'
	},

	'google-translate': {
		en: 'Google Translate',
		es: 'Google Translate',
		pt: 'Google Translate',
		fr: 'Google Translate',
		de: 'Google Translate',
		zh: 'Google Translate',
		ru: 'Google Translate',
		hi: 'Google Translate',
		cs: 'Google Translate'
	},

	'symbols-tram': {
		en: 'Tram',
		es: 'Tram',
		pt: 'Tram',
		fr: 'Tram',
		de: 'Tram',
		zh: 'Tram',
		ru: 'Tram',
		hi: 'Tram',
		cs: 'Tramvaj'
	},

	'symbols-bus': {
		en: 'Bus',
		es: 'Bus',
		pt: 'Bus',
		fr: 'Bus',
		de: 'Bus',
		zh: 'Bus',
		ru: 'Bus',
		hi: 'Bus',
		cs: 'Autobus'
	},

	'symbols-train': {
		en: 'Train',
		es: 'Train',
		pt: 'Train',
		fr: 'Train',
		de: 'Train',
		zh: 'Train',
		ru: 'Train',
		hi: 'Train',
		cs: 'Vlak'
	},

	'symbols-subway': {
		en: 'Underground/subway',
		es: 'Underground/subway',
		pt: 'Underground/subway',
		fr: 'Underground/subway',
		de: 'Underground/subway',
		zh: 'Underground/subway',
		ru: 'Underground/subway',
		hi: 'Underground/subway',
		cs: 'Metro'
	},

	'symbols-bankholidays': {
		en: 'Sundays and bank holiday',
		es: 'Sundays and bank holiday',
		pt: 'Sundays and bank holiday',
		fr: 'Sundays and bank holiday',
		de: 'Sundays and bank holiday',
		zh: 'Sundays and bank holiday',
		ru: 'Sundays and bank holiday',
		hi: 'Sundays and bank holiday',
		cs: 'Neděle a státní svátky'
	},

	'symbols-monday': {
		en: 'Monday',
		es: 'Monday',
		pt: 'Monday',
		fr: 'Monday',
		de: 'Monday',
		zh: 'Monday',
		ru: 'Monday',
		hi: 'Monday',
		cs: 'Pondělí'
	},

	'symbols-tuesday': {
		en: 'Tuesday',
		es: 'Tuesday',
		pt: 'Tuesday',
		fr: 'Tuesday',
		de: 'Tuesday',
		zh: 'Tuesday',
		ru: 'Tuesday',
		hi: 'Tuesday',
		cs: 'Úterý'
	},

	'symbols-friday': {
		en: 'Friday',
		es: 'Friday',
		pt: 'Friday',
		fr: 'Friday',
		de: 'Friday',
		zh: 'Friday',
		ru: 'Friday',
		hi: 'Friday',
		cs: 'Pátek'
	},

	'symbols-saturday': {
		en: 'Saturday',
		es: 'Saturday',
		pt: 'Saturday',
		fr: 'Saturday',
		de: 'Saturday',
		zh: 'Saturday',
		ru: 'Saturday',
		hi: 'Saturday',
		cs: 'Sobota'
	},

	'symbols-sunday': {
		en: 'Sunday',
		es: 'Sunday',
		pt: 'Sunday',
		fr: 'Sunday',
		de: 'Sunday',
		zh: 'Sunday',
		ru: 'Sunday',
		hi: 'Sunday',
		cs: 'Neděle'
	},

	'symbols-lowfloor': {
		en: 'A low-floor vehicle is used',
		es: 'A low-floor vehicle is used',
		pt: 'A low-floor vehicle is used',
		fr: 'A low-floor vehicle is used',
		de: 'A low-floor vehicle is used',
		zh: 'A low-floor vehicle is used',
		ru: 'A low-floor vehicle is used',
		hi: 'A low-floor vehicle is used',
		cs: 'Spoj je obsluhován nízkopodlažním vozidlem'
	},

	'symbols-weekday': {
		en: 'Working day',
		es: 'Working day',
		pt: 'Working day',
		fr: 'Working day',
		de: 'Working day',
		zh: 'Working day',
		ru: 'Working day',
		hi: 'Working day',
		cs: 'Pracovní den'
	},

	'symbols-ticketswithintrain': {
		en: 'Tickets are sold within the train',
		es: 'Tickets are sold within the train',
		pt: 'Tickets are sold within the train',
		fr: 'Tickets are sold within the train',
		de: 'Tickets are sold within the train',
		zh: 'Tickets are sold within the train',
		ru: 'Tickets are sold within the train',
		hi: 'Tickets are sold within the train',
		cs: 'Jízdenky se prodávají ve vlaku'
	},

	'aboutapp-heading1': {
		en: "There's a bug in the app, can I report it?",
		es: "There's a bug in the app, can I report it?",
		pt: "There's a bug in the app, can I report it?",
		fr: "There's a bug in the app, can I report it?",
		de: "There's a bug in the app, can I report it?",
		zh: "There's a bug in the app, can I report it?",
		ru: "There's a bug in the app, can I report it?",
		hi: "There's a bug in the app, can I report it?",
		cs: 'Aplikace má chybu. Mohu ji oznámit?'
	},

	'aboutapp-heading2': {
		en: "I've got an improvement idea.",
		es: "I've got an improvement idea.",
		pt: "I've got an improvement idea.",
		fr: "I've got an improvement idea.",
		de: "I've got an improvement idea.",
		zh: "I've got an improvement idea.",
		ru: "I've got an improvement idea.",
		hi: "I've got an improvement idea.",
		cs: 'Mám nápad na zlepšení této aplikace.'
	},

	'aboutapp-heading3': {
		en: 'Where does this app get data from?',
		es: 'Where does this app get data from?',
		pt: 'Where does this app get data from?',
		fr: 'Where does this app get data from?',
		de: 'Where does this app get data from?',
		zh: 'Where does this app get data from?',
		ru: 'Where does this app get data from?',
		hi: 'Where does this app get data from?',
		cs: 'Odkud tato aplikace získává data?'
	},

	'aboutapp-heading4': {
		en: "Who's behind this app?",
		es: "Who's behind this app?",
		pt: "Who's behind this app?",
		fr: "Who's behind this app?",
		de: "Who's behind this app?",
		zh: "Who's behind this app?",
		ru: "Who's behind this app?",
		hi: "Who's behind this app?",
		cs: 'Kdo stojí za touto aplikací?'
	},

	'aboutapp-text1': {
		en: "Of course. If you believe that the app is bugged, please try to describe any malfunctioning part in detail and a case situation to <b>info@dppapp.cz</b>. We'll do our best to fix it. It is likely that your bug report might help other users as well.",
		es: "Of course. If you believe that the app is bugged, please try to describe any malfunctioning part in detail and a case situation to <b>info@dppapp.cz</b>. We'll do our best to fix it. It is likely that your bug report might help other users as well.",
		pt: "Of course. If you believe that the app is bugged, please try to describe any malfunctioning part in detail and a case situation to <b>info@dppapp.cz</b>. We'll do our best to fix it. It is likely that your bug report might help other users as well.",
		fr: "Of course. If you believe that the app is bugged, please try to describe any malfunctioning part in detail and a case situation to <b>info@dppapp.cz</b>. We'll do our best to fix it. It is likely that your bug report might help other users as well.",
		de: "Of course. If you believe that the app is bugged, please try to describe any malfunctioning part in detail and a case situation to <b>info@dppapp.cz</b>. We'll do our best to fix it. It is likely that your bug report might help other users as well.",
		zh: "Of course. If you believe that the app is bugged, please try to describe any malfunctioning part in detail and a case situation to <b>info@dppapp.cz</b>. We'll do our best to fix it. It is likely that your bug report might help other users as well.",
		ru: "Of course. If you believe that the app is bugged, please try to describe any malfunctioning part in detail and a case situation to <b>info@dppapp.cz</b>. We'll do our best to fix it. It is likely that your bug report might help other users as well.",
		hi: "Of course. If you believe that the app is bugged, please try to describe any malfunctioning part in detail and a case situation to <b>info@dppapp.cz</b>. We'll do our best to fix it. It is likely that your bug report might help other users as well.",
		cs: 'Samozřejmě. Pokud jste přesvědčeni, že tato aplikace nefunguje správně, pokuste se prosím co nejpodrobněji popsat funkcionalitu, která je chybná a zároveň situaci, kdy se tak děje. Váš popis nám prosím odešlete na e-mail <b>info@dppapp.cz</b>. Uděláme vše, co bude v našich silách, abychom to napravili. Pravděpodobně tím pomůžete i ostatním uživatelům této aplikace.'
	},

	'aboutapp-text2': {
		en: "Great news. We'll be happy if you decide to share your ideas with us and we'll do our best to make the app better with your help. Please drop us a line to <b>info@dppapp.cz</b>. Thank you!",
		es: "Great news. We'll be happy if you decide to share your ideas with us and we'll do our best to make the app better with your help. Please drop us a line to <b>info@dppapp.cz</b>. Thank you!",
		pt: "Great news. We'll be happy if you decide to share your ideas with us and we'll do our best to make the app better with your help. Please drop us a line to <b>info@dppapp.cz</b>. Thank you!",
		fr: "Great news. We'll be happy if you decide to share your ideas with us and we'll do our best to make the app better with your help. Please drop us a line to <b>info@dppapp.cz</b>. Thank you!",
		de: "Great news. We'll be happy if you decide to share your ideas with us and we'll do our best to make the app better with your help. Please drop us a line to <b>info@dppapp.cz</b>. Thank you!",
		zh: "Great news. We'll be happy if you decide to share your ideas with us and we'll do our best to make the app better with your help. Please drop us a line to <b>info@dppapp.cz</b>. Thank you!",
		ru: "Great news. We'll be happy if you decide to share your ideas with us and we'll do our best to make the app better with your help. Please drop us a line to <b>info@dppapp.cz</b>. Thank you!",
		hi: "Great news. We'll be happy if you decide to share your ideas with us and we'll do our best to make the app better with your help. Please drop us a line to <b>info@dppapp.cz</b>. Thank you!",
		cs: 'To je výborná zpráva. Budeme velice rádi, pokud s námi budete sdílet vaše nápady a uděláme vše, co bude v našich silách pro to, abychom díky vašim nápadům udělali tuto aplikaci lepší. Napište nám o tom na e-mail <b>info@dppapp.cz</b>. Děkujeme.'
	},

	'aboutapp-text3': {
		en: 'Directly from the website of the Prague Transit Company - dpp.cz.',
		es: 'Directly from the website of the Prague Transit Company - dpp.cz.',
		pt: 'Directly from the website of the Prague Transit Company - dpp.cz.',
		fr: 'Directly from the website of the Prague Transit Company - dpp.cz.',
		de: 'Directly from the website of the Prague Transit Company - dpp.cz.',
		zh: 'Directly from the website of the Prague Transit Company - dpp.cz.',
		ru: 'Directly from the website of the Prague Transit Company - dpp.cz.',
		hi: 'Directly from the website of the Prague Transit Company - dpp.cz.',
		cs: 'Přímo z webového portálu Dopravního Podniku Prahy - dpp.cz.'
	},

	'aboutapp-text4': {
		en: 'This app is a project of the MK Corp., s.r.o company.',
		es: 'This app is a project of the MK Corp., s.r.o company.',
		pt: 'This app is a project of the MK Corp., s.r.o company.',
		fr: 'This app is a project of the MK Corp., s.r.o company.',
		de: 'This app is a project of the MK Corp., s.r.o company.',
		zh: 'This app is a project of the MK Corp., s.r.o company.',
		ru: 'This app is a project of the MK Corp., s.r.o company.',
		hi: 'This app is a project of the MK Corp., s.r.o company.',
		cs: 'Tato aplikace je projektem společnosti MK Corp., s.r.o.'
	},

	'czk': {
		en: 'CZK',
		es: 'CZK',
		pt: 'CZK',
		fr: 'CZK',
		de: 'CZK',
		zh: 'CZK',
		ru: 'CZK',
		hi: 'CZK',
		cs: 'Kč'
	},

	'tickets-buy': {
		en: 'Buy Ticket',
		es: 'Buy Ticket',
		pt: 'Buy Ticket',
		fr: 'Buy Ticket',
		de: 'Buy Ticket',
		zh: 'Buy Ticket',
		ru: 'Buy Ticket',
		hi: 'Buy Ticket',
		cs: 'Koupit Lístek'
	},

	'tickets-intro': {
		en: "It is easy to buy an SMS ticket. Just send a text with the short of your chosen ticket to the DPP number and you will receive a ticket code within several seconds, which you can then show to a driver or ticket check. The price of the ticket will be then added to your phone plan's bill. Please watch your ticket's duration carefully! The ticket checks are very strict.",
		es: "It is easy to buy an SMS ticket. Just send a text with the short of your chosen ticket to the DPP number and you will receive a ticket code within several seconds, which you can then show to a driver or ticket check. The price of the ticket will be then added to your phone plan's bill. Please watch your ticket's duration carefully! The ticket checks are very strict.",
		pt: "It is easy to buy an SMS ticket. Just send a text with the short of your chosen ticket to the DPP number and you will receive a ticket code within several seconds, which you can then show to a driver or ticket check. The price of the ticket will be then added to your phone plan's bill. Please watch your ticket's duration carefully! The ticket checks are very strict.",
		fr: "It is easy to buy an SMS ticket. Just send a text with the short of your chosen ticket to the DPP number and you will receive a ticket code within several seconds, which you can then show to a driver or ticket check. The price of the ticket will be then added to your phone plan's bill. Please watch your ticket's duration carefully! The ticket checks are very strict.",
		de: "It is easy to buy an SMS ticket. Just send a text with the short of your chosen ticket to the DPP number and you will receive a ticket code within several seconds, which you can then show to a driver or ticket check. The price of the ticket will be then added to your phone plan's bill. Please watch your ticket's duration carefully! The ticket checks are very strict.",
		zh: "It is easy to buy an SMS ticket. Just send a text with the short of your chosen ticket to the DPP number and you will receive a ticket code within several seconds, which you can then show to a driver or ticket check. The price of the ticket will be then added to your phone plan's bill. Please watch your ticket's duration carefully! The ticket checks are very strict.",
		ru: "It is easy to buy an SMS ticket. Just send a text with the short of your chosen ticket to the DPP number and you will receive a ticket code within several seconds, which you can then show to a driver or ticket check. The price of the ticket will be then added to your phone plan's bill. Please watch your ticket's duration carefully! The ticket checks are very strict.",
		hi: "It is easy to buy an SMS ticket. Just send a text with the short of your chosen ticket to the DPP number and you will receive a ticket code within several seconds, which you can then show to a driver or ticket check. The price of the ticket will be then added to your phone plan's bill. Please watch your ticket's duration carefully! The ticket checks are very strict.",
		cs: 'Koupit si SMS lístek je jednoduché. Stačí odeslat SMSku se zkratkou vybrané jízdenky na číslo DPP a během několika sekund obdržíte kód jízdenky, který můžete případně ukázat řidiči nebo revizorovi. Cena jízdenky bude pak přiúčtována k Vašemu měsíčnímu mobilnímu tarifu. Je třeba dbát na dobu platnosti jízdenky! Revizoři jsou striktní.'
	},

	'tickets-24': {
		en: 'Max 30 minutes, transfers included, zone P only.',
		es: 'Max 30 minutes, transfers included, zone P only.',
		pt: 'Max 30 minutes, transfers included, zone P only.',
		fr: 'Max 30 minutes, transfers included, zone P only.',
		de: 'Max 30 minutes, transfers included, zone P only.',
		zh: 'Max 30 minutes, transfers included, zone P only.',
		ru: 'Max 30 minutes, transfers included, zone P only.',
		hi: 'Max 30 minutes, transfers included, zone P only.',
		cs: 'Max 30 minut, přestupní, pouze pásmo P.'
	},

	'tickets-24-i': {
		en: 'Code <b>DPT24</b> to number <b>902&nbsp;06</b>',
		es: 'Code <b>DPT24</b> to number <b>902&nbsp;06</b>',
		pt: 'Code <b>DPT24</b> to number <b>902&nbsp;06</b>',
		fr: 'Code <b>DPT24</b> to number <b>902&nbsp;06</b>',
		de: 'Code <b>DPT24</b> to number <b>902&nbsp;06</b>',
		zh: 'Code <b>DPT24</b> to number <b>902&nbsp;06</b>',
		ru: 'Code <b>DPT24</b> to number <b>902&nbsp;06</b>',
		hi: 'Code <b>DPT24</b> to number <b>902&nbsp;06</b>',
		cs: 'Kód <b>DPT24</b> na číslo <b>902&nbsp;06</b>'
	},

	'tickets-32': {
		en: 'Max 90 minutes, transfers included, zone P only.',
		es: 'Max 90 minutes, transfers included, zone P only.',
		pt: 'Max 90 minutes, transfers included, zone P only.',
		fr: 'Max 90 minutes, transfers included, zone P only.',
		de: 'Max 90 minutes, transfers included, zone P only.',
		zh: 'Max 90 minutes, transfers included, zone P only.',
		ru: 'Max 90 minutes, transfers included, zone P only.',
		hi: 'Max 90 minutes, transfers included, zone P only.',
		cs: 'Max 90 minut, přestupní, pouze pásmo P.'
	},

	'tickets-110': {
		en: 'Max 24 hours, transfers included, zone P only.',
		es: 'Max 24 hours, transfers included, zone P only.',
		pt: 'Max 24 hours, transfers included, zone P only.',
		fr: 'Max 24 hours, transfers included, zone P only.',
		de: 'Max 24 hours, transfers included, zone P only.',
		zh: 'Max 24 hours, transfers included, zone P only.',
		ru: 'Max 24 hours, transfers included, zone P only.',
		hi: 'Max 24 hours, transfers included, zone P only.',
		cs: 'Max 24 hodin, přestupní, pouze pásmo P.'
	},

	'tickets-310': {
		en: 'Max 72 hours, transfers included, zone P only.',
		es: 'Max 72 hours, transfers included, zone P only.',
		pt: 'Max 72 hours, transfers included, zone P only.',
		fr: 'Max 72 hours, transfers included, zone P only.',
		de: 'Max 72 hours, transfers included, zone P only.',
		zh: 'Max 72 hours, transfers included, zone P only.',
		ru: 'Max 72 hours, transfers included, zone P only.',
		hi: 'Max 72 hours, transfers included, zone P only.',
		cs: 'Max 72 hodin, přestupní, pouze pásmo P.'
	},

	'tickets-32-i': {
		en: 'Code <b>DPT32</b> to number <b>902&nbsp;06</b>',
		es: 'Code <b>DPT32</b> to number <b>902&nbsp;06</b>',
		pt: 'Code <b>DPT32</b> to number <b>902&nbsp;06</b>',
		fr: 'Code <b>DPT32</b> to number <b>902&nbsp;06</b>',
		de: 'Code <b>DPT32</b> to number <b>902&nbsp;06</b>',
		zh: 'Code <b>DPT32</b> to number <b>902&nbsp;06</b>',
		ru: 'Code <b>DPT32</b> to number <b>902&nbsp;06</b>',
		hi: 'Code <b>DPT32</b> to number <b>902&nbsp;06</b>',
		cs: 'Kód <b>DPT32</b> na číslo <b>902&nbsp;06</b>'
	},

	'tickets-110-i': {
		en: 'Code <b>DPT110</b> to number <b>902&nbsp;06</b>',
		es: 'Code <b>DPT110</b> to number <b>902&nbsp;06</b>',
		pt: 'Code <b>DPT110</b> to number <b>902&nbsp;06</b>',
		fr: 'Code <b>DPT110</b> to number <b>902&nbsp;06</b>',
		de: 'Code <b>DPT110</b> to number <b>902&nbsp;06</b>',
		zh: 'Code <b>DPT110</b> to number <b>902&nbsp;06</b>',
		ru: 'Code <b>DPT110</b> to number <b>902&nbsp;06</b>',
		hi: 'Code <b>DPT110</b> to number <b>902&nbsp;06</b>',
		cs: 'Kód <b>DPT110</b> na číslo <b>902&nbsp;06</b>'
	},

	'tickets-310-i': {
		en: 'Code <b>DPT310</b> to number <b>902&nbsp;06</b>',
		es: 'Code <b>DPT310</b> to number <b>902&nbsp;06</b>',
		pt: 'Code <b>DPT310</b> to number <b>902&nbsp;06</b>',
		fr: 'Code <b>DPT310</b> to number <b>902&nbsp;06</b>',
		de: 'Code <b>DPT310</b> to number <b>902&nbsp;06</b>',
		zh: 'Code <b>DPT310</b> to number <b>902&nbsp;06</b>',
		ru: 'Code <b>DPT310</b> to number <b>902&nbsp;06</b>',
		hi: 'Code <b>DPT310</b> to number <b>902&nbsp;06</b>',
		cs: 'Kód <b>DPT310</b> na číslo <b>902&nbsp;06</b>'
	},

	'tickets-sms-noperms': {
		en: 'It looks like this app does not have permissions to send SMS.',
		es: 'It looks like this app does not have permissions to send SMS.',
		pt: 'It looks like this app does not have permissions to send SMS.',
		fr: 'It looks like this app does not have permissions to send SMS.',
		de: 'It looks like this app does not have permissions to send SMS.',
		zh: 'It looks like this app does not have permissions to send SMS.',
		ru: 'It looks like this app does not have permissions to send SMS.',
		hi: 'It looks like this app does not have permissions to send SMS.',
		cs: 'Zdá se, že tato apliakce nemá povolení posílat SMS.'
	},

	'tickets-sms-sent': {
		en: 'Sent. You should receive the ticket code within seconds.',
		es: 'Sent. You should receive the ticket code within seconds.',
		pt: 'Sent. You should receive the ticket code within seconds.',
		fr: 'Sent. You should receive the ticket code within seconds.',
		de: 'Sent. You should receive the ticket code within seconds.',
		zh: 'Sent. You should receive the ticket code within seconds.',
		ru: 'Sent. You should receive the ticket code within seconds.',
		hi: 'Sent. You should receive the ticket code within seconds.',
		cs: 'Odesláno. Jízdenku byste měli obdržet během několika sekund.'
	},

	'tickets-sms-error': {
		en: 'Something went wrong the text was not sent.',
		es: 'Something went wrong the text was not sent.',
		pt: 'Something went wrong the text was not sent.',
		fr: 'Something went wrong the text was not sent.',
		de: 'Something went wrong the text was not sent.',
		zh: 'Something went wrong the text was not sent.',
		ru: 'Something went wrong the text was not sent.',
		hi: 'Something went wrong the text was not sent.',
		cs: 'Něco se nepovedlo a SMSka se neposlala.'
	},

	'tickets-note1': {
		en: 'Your regular text price is added on top of this amount.',
		es: 'Your regular text price is added on top of this amount.',
		pt: 'Your regular text price is added on top of this amount.',
		fr: 'Your regular text price is added on top of this amount.',
		de: 'Your regular text price is added on top of this amount.',
		zh: 'Your regular text price is added on top of this amount.',
		ru: 'Your regular text price is added on top of this amount.',
		hi: 'Your regular text price is added on top of this amount.',
		cs: 'Cena vaší normální SMS je připočítána k této částce.'
	},

	'tickets-note2': {
		en: 'Only works with the Czech mobile operators.',
		es: 'Only works with the Czech mobile operators.',
		pt: 'Only works with the Czech mobile operators.',
		fr: 'Only works with the Czech mobile operators.',
		de: 'Only works with the Czech mobile operators.',
		zh: 'Only works with the Czech mobile operators.',
		ru: 'Only works with the Czech mobile operators.',
		hi: 'Only works with the Czech mobile operators.',
		cs: 'Funguje pouze s českými mobilními operátory.'
	},

	'copy': {
		en: 'Copy',
		es: 'Copy',
		pt: 'Copy',
		fr: 'Copy',
		de: 'Copy',
		zh: 'Copy',
		ru: 'Copy',
		hi: 'Copy',
		cs: 'Kopírovat'
	},

	'copy-done': {
		en: 'Copied to the clipboard.',
		es: 'Copied to the clipboard.',
		pt: 'Copied to the clipboard.',
		fr: 'Copied to the clipboard.',
		de: 'Copied to the clipboard.',
		zh: 'Copied to the clipboard.',
		ru: 'Copied to the clipboard.',
		hi: 'Copied to the clipboard.',
		cs: 'Zkopírováno.'
	},

	'copy-prompt': {
		en: 'Press: Ctrl+C then Enter.',
		es: 'Press: Ctrl+C then Enter.',
		pt: 'Press: Ctrl+C then Enter.',
		fr: 'Press: Ctrl+C then Enter.',
		de: 'Press: Ctrl+C then Enter.',
		zh: 'Press: Ctrl+C then Enter.',
		ru: 'Press: Ctrl+C then Enter.',
		hi: 'Press: Ctrl+C then Enter.',
		cs: 'Stiskněte: Ctrl+C a Enter'
	},

	'confirmsms-title': {
		en: 'You are buying a ticket',
		es: 'You are buying a ticket',
		pt: 'You are buying a ticket',
		fr: 'You are buying a ticket',
		de: 'You are buying a ticket',
		zh: 'You are buying a ticket',
		ru: 'You are buying a ticket',
		hi: 'You are buying a ticket',
		cs: 'Právě kupujete lístek'
	},

	'confirmsms-text': {
		en: 'You are about to send a text that will buy you a ticket. <b>This action will directly send the SMS</b>, are you sure you want to do it?',
		es: 'You are about to send a text that will buy you a ticket. <b>This action will directly send the SMS</b>, are you sure you want to do it?',
		pt: 'You are about to send a text that will buy you a ticket. <b>This action will directly send the SMS</b>, are you sure you want to do it?',
		fr: 'You are about to send a text that will buy you a ticket. <b>This action will directly send the SMS</b>, are you sure you want to do it?',
		de: 'You are about to send a text that will buy you a ticket. <b>This action will directly send the SMS</b>, are you sure you want to do it?',
		zh: 'You are about to send a text that will buy you a ticket. <b>This action will directly send the SMS</b>, are you sure you want to do it?',
		ru: 'You are about to send a text that will buy you a ticket. <b>This action will directly send the SMS</b>, are you sure you want to do it?',
		hi: 'You are about to send a text that will buy you a ticket. <b>This action will directly send the SMS</b>, are you sure you want to do it?',
		cs: 'Chystáte se odeslat SMS, která vám přímo koupí lístek. <b>Tato akce přímo odešle SMS</b>, jste si jistí, že tak chcete učinit?'
	},

	'modal-confirm-cancel': {
		en: 'Cancel',
		es: 'Cancel',
		pt: 'Cancel',
		fr: 'Cancel',
		de: 'Cancel',
		zh: 'Cancel',
		ru: 'Cancel',
		hi: 'Cancel',
		cs: 'Zrušit'
	},

	'modal-confirm-confirm': {
		en: 'Confirm',
		es: 'Confirm',
		pt: 'Confirm',
		fr: 'Confirm',
		de: 'Confirm',
		zh: 'Confirm',
		ru: 'Confirm',
		hi: 'Confirm',
		cs: 'Potvrdit'
	},

	'savedconnections-share-link': {
		en: 'http://e0.cz/dpphelpshare',
		es: 'http://e0.cz/dpphelpshare',
		pt: 'http://e0.cz/dpphelpshare',
		fr: 'http://e0.cz/dpphelpshare',
		de: 'http://e0.cz/dpphelpshare',
		zh: 'http://e0.cz/dpphelpshare',
		ru: 'http://e0.cz/dpphelpshare',
		hi: 'http://e0.cz/dpphelpshare',
		cs: 'http://e0.cz/dpphelpshare',
		info: 'Ignore this.'
	},

	'savedconnections-share-title': {
		en: 'Choose who to share the connection with',
		es: 'Choose who to share the connection with',
		pt: 'Choose who to share the connection with',
		fr: 'Choose who to share the connection with',
		de: 'Choose who to share the connection with',
		zh: 'Choose who to share the connection with',
		ru: 'Choose who to share the connection with',
		hi: 'Choose who to share the connection with',
		cs: 'Vyberte komu poslat spojení'
	},

	'savedconnections-share-subject': {
		en: 'DPP connection',
		es: 'DPP connection',
		pt: 'DPP connection',
		fr: 'DPP connection',
		de: 'DPP connection',
		zh: 'DPP connection',
		ru: 'DPP connection',
		hi: 'DPP connection',
		cs: 'DPP spojení'
	},

	'app-title': {
		en: 'Prague Public Transport',
		es: 'Prague Public Transport',
		pt: 'Prague Public Transport',
		fr: 'Prague Public Transport',
		de: 'Prague Public Transport',
		zh: 'Prague Public Transport',
		ru: 'Prague Public Transport',
		hi: 'Prague Public Transport',
		cs: 'DPP Praha MHD'
	},

	'menu-search': {
		en: 'Search',
		es: 'Search',
		pt: 'Search',
		fr: 'Search',
		de: 'Search',
		zh: 'Search',
		ru: 'Search',
		hi: 'Search',
		cs: 'Vyhledávání'
	},

	'menu-about': {
		en: 'Application',
		es: 'Application',
		pt: 'Application',
		fr: 'Application',
		de: 'Application',
		zh: 'Application',
		ru: 'Application',
		hi: 'Application',
		cs: 'Aplikace'
	},

	'menu-transport': {
		en: 'Transport',
		es: 'Transport',
		pt: 'Transport',
		fr: 'Transport',
		de: 'Transport',
		zh: 'Transport',
		ru: 'Transport',
		hi: 'Transport',
		cs: 'Doprava'
	},

	'menu-transport': {
		en: 'Transport',
		es: 'Transport',
		pt: 'Transport',
		fr: 'Transport',
		de: 'Transport',
		zh: 'Transport',
		ru: 'Transport',
		hi: 'Transport',
		cs: 'Doprava'
	},

	'search-form-start': {
		en: 'Start',
		es: 'Start',
		pt: 'Start',
		fr: 'Start',
		de: 'Start',
		zh: 'Start',
		ru: 'Start',
		hi: 'Start',
		cs: 'Start'
	},

	'search-form-destination': {
		en: 'Destination',
		es: 'Destination',
		pt: 'Destination',
		fr: 'Destination',
		de: 'Destination',
		zh: 'Destination',
		ru: 'Destination',
		hi: 'Destination',
		cs: 'Cíl'
	},

	'search-form-via': {
		en: 'Via',
		es: 'Via',
		pt: 'Via',
		fr: 'Via',
		de: 'Via',
		zh: 'Via',
		ru: 'Via',
		hi: 'Via',
		cs: 'Přes'
	},

	'search-transfers-tooltip': {
		en: 'Max transfers',
		es: 'Max transfers',
		pt: 'Max transfers',
		fr: 'Max transfers',
		de: 'Max transfers',
		zh: 'Max transfers',
		ru: 'Max transfers',
		hi: 'Max transfers',
		cs: 'Přestupů max'
	},

	'search-form-transfers-max0': {
		en: 'No transfers',
		es: 'No transfers',
		pt: 'No transfers',
		fr: 'No transfers',
		de: 'No transfers',
		zh: 'No transfers',
		ru: 'No transfers',
		hi: 'No transfers',
		cs: 'Bez přestupů'
	},

	'search-form-transfers-max1': {
		en: 'Max 1',
		es: 'Max 1',
		pt: 'Max 1',
		fr: 'Max 1',
		de: 'Max 1',
		zh: 'Max 1',
		ru: 'Max 1',
		hi: 'Max 1',
		cs: 'Max 1'
	},

	'search-form-transfers-max2': {
		en: 'Max 2',
		es: 'Max 2',
		pt: 'Max 2',
		fr: 'Max 2',
		de: 'Max 2',
		zh: 'Max 2',
		ru: 'Max 2',
		hi: 'Max 2',
		cs: 'Max 2'
	},

	'search-form-transfers-max3': {
		en: 'Max 3',
		es: 'Max 3',
		pt: 'Max 3',
		fr: 'Max 3',
		de: 'Max 3',
		zh: 'Max 3',
		ru: 'Max 3',
		hi: 'Max 3',
		cs: 'Max 3'
	},

	'search-form-transfers-max4': {
		en: 'Max 4',
		es: 'Max 4',
		pt: 'Max 4',
		fr: 'Max 4',
		de: 'Max 4',
		zh: 'Max 4',
		ru: 'Max 4',
		hi: 'Max 4',
		cs: 'Max 4'
	},

	'search-form-transfers-max5': {
		en: 'Max 5',
		es: 'Max 5',
		pt: 'Max 5',
		fr: 'Max 5',
		de: 'Max 5',
		zh: 'Max 5',
		ru: 'Max 5',
		hi: 'Max 5',
		cs: 'Max 5'
	},

	'search-form-transfers-max6': {
		en: 'Max 6',
		es: 'Max 6',
		pt: 'Max 6',
		fr: 'Max 6',
		de: 'Max 6',
		zh: 'Max 6',
		ru: 'Max 6',
		hi: 'Max 6',
		cs: 'Max 6'
	},

	'search-form-transfers-max7': {
		en: 'Max 7',
		es: 'Max 7',
		pt: 'Max 7',
		fr: 'Max 7',
		de: 'Max 7',
		zh: 'Max 7',
		ru: 'Max 7',
		hi: 'Max 7',
		cs: 'Max 7'
	},

	'search-accessible-tooltip': {
		en: 'Accessible only',
		es: 'Accessible only',
		pt: 'Accessible only',
		fr: 'Accessible only',
		de: 'Accessible only',
		zh: 'Accessible only',
		ru: 'Accessible only',
		hi: 'Accessible only',
		cs: 'Pouze bezbariérové'
	},

	'search-lowfloor-tooltip': {
		en: 'Low floor only',
		es: 'Low floor only',
		pt: 'Low floor only',
		fr: 'Low floor only',
		de: 'Low floor only',
		zh: 'Low floor only',
		ru: 'Low floor only',
		hi: 'Low floor only',
		cs: 'Pouze nízkopodlažní'
	},

	'search-button-searchotherway': {
		en: 'Search Other Way',
		es: 'Search Other Way',
		pt: 'Search Other Way',
		fr: 'Search Other Way',
		de: 'Search Other Way',
		zh: 'Search Other Way',
		ru: 'Search Other Way',
		hi: 'Search Other Way',
		cs: 'Vyhledat Opačně'
	},

	'search-button-search': {
		en: 'Search',
		es: 'Search',
		pt: 'Search',
		fr: 'Search',
		de: 'Search',
		zh: 'Search',
		ru: 'Search',
		hi: 'Search',
		cs: 'Vyhledat'
	},

	'search-button-search': {
		en: 'Search',
		es: 'Search',
		pt: 'Search',
		fr: 'Search',
		de: 'Search',
		zh: 'Search',
		ru: 'Search',
		hi: 'Search',
		cs: 'Vyhledat'
	},

	'search-showad': {
		en: 'Show Advert',
		es: 'Show Advert',
		pt: 'Show Advert',
		fr: 'Show Advert',
		de: 'Show Advert',
		zh: 'Show Advert',
		ru: 'Show Advert',
		hi: 'Show Advert',
		cs: 'Zobrazit Reklamu'
	},

	'search-showinfo': {
		en: 'Show Info',
		es: 'Show Info',
		pt: 'Show Info',
		fr: 'Show Info',
		de: 'Show Info',
		zh: 'Show Info',
		ru: 'Show Info',
		hi: 'Show Info',
		cs: 'Zobrazit Info'
	},

	'menu-saved': {
		en: 'Saved Connections',
		es: 'Saved Connections',
		pt: 'Saved Connections',
		fr: 'Saved Connections',
		de: 'Saved Connections',
		zh: 'Saved Connections',
		ru: 'Saved Connections',
		hi: 'Saved Connections',
		cs: 'Uložená Spojení'
	},

	'menu-nearest': {
		en: 'Nearest Stops',
		es: 'Nearest Stops',
		pt: 'Nearest Stops',
		fr: 'Nearest Stops',
		de: 'Nearest Stops',
		zh: 'Nearest Stops',
		ru: 'Nearest Stops',
		hi: 'Nearest Stops',
		cs: 'Zastávky v Okolí'
	},

	'map-title': {
		en: 'Map',
		es: 'Map',
		pt: 'Map',
		fr: 'Map',
		de: 'Map',
		zh: 'Map',
		ru: 'Map',
		hi: 'Map',
		cs: 'Mapa'
	},

	'savedconnections-title': {
		en: 'Saved',
		es: 'Saved',
		pt: 'Saved',
		fr: 'Saved',
		de: 'Saved',
		zh: 'Saved',
		ru: 'Saved',
		hi: 'Saved',
		cs: 'Uložená'
	},

	'menu-tickets': {
		en: 'Tickets',
		es: 'Tickets',
		pt: 'Tickets',
		fr: 'Tickets',
		de: 'Tickets',
		zh: 'Tickets',
		ru: 'Tickets',
		hi: 'Tickets',
		cs: 'Jízdenky'
	},

	'menu-news': {
		en: 'News',
		es: 'News',
		pt: 'News',
		fr: 'News',
		de: 'News',
		zh: 'News',
		ru: 'News',
		hi: 'News',
		cs: 'Novinky'
	},

	'menu-checks': {
		en: 'Checks',
		es: 'Checks',
		pt: 'Checks',
		fr: 'Checks',
		de: 'Checks',
		zh: 'Checks',
		ru: 'Checks',
		hi: 'Checks',
		cs: 'Revize'
	},

	'menu-scheme': {
		en: 'Schemas',
		es: 'Schemas',
		pt: 'Schemas',
		fr: 'Schemas',
		de: 'Schemas',
		zh: 'Schemas',
		ru: 'Schemas',
		hi: 'Schemas',
		cs: 'Schémata'
	},

	'menu-symbols': {
		en: 'Symbols',
		es: 'Symbols',
		pt: 'Symbols',
		fr: 'Symbols',
		de: 'Symbols',
		zh: 'Symbols',
		ru: 'Symbols',
		hi: 'Symbols',
		cs: 'Vysvětlivky'
	},

	'menu-lang': {
		en: 'Language',
		es: 'Language',
		pt: 'Language',
		fr: 'Language',
		de: 'Language',
		zh: 'Language',
		ru: 'Language',
		hi: 'Language',
		cs: 'Language',
		info: "Doesn't translate."
	},

	'menu-settings': {
		en: 'Settings',
		es: 'Settings',
		pt: 'Settings',
		fr: 'Settings',
		de: 'Settings',
		zh: 'Settings',
		ru: 'Settings',
		hi: 'Settings',
		cs: 'Nastavení'
	},

	'menu-aboutapp': {
		en: 'About App',
		es: 'About App',
		pt: 'About App',
		fr: 'About App',
		de: 'About App',
		zh: 'About App',
		ru: 'About App',
		hi: 'About App',
		cs: 'O Aplikaci'
	},

	'menu-help': {
		en: 'Help Us',
		es: 'Help Us',
		pt: 'Help Us',
		fr: 'Help Us',
		de: 'Help Us',
		zh: 'Help Us',
		ru: 'Help Us',
		hi: 'Help Us',
		cs: 'Pomozte'
	},

	'menu-otherapps': {
		en: 'Our Apps',
		es: 'Our Apps',
		pt: 'Our Apps',
		fr: 'Our Apps',
		de: 'Our Apps',
		zh: 'Our Apps',
		ru: 'Our Apps',
		hi: 'Our Apps',
		cs: 'Naše Appky'
	},

	'help-text1': {
		en: 'There are many options how to help this app and its further development.',
		es: 'There are many options how to help this app and its further development.',
		pt: 'There are many options how to help this app and its further development.',
		fr: 'There are many options how to help this app and its further development.',
		de: 'There are many options how to help this app and its further development.',
		zh: 'There are many options how to help this app and its further development.',
		ru: 'There are many options how to help this app and its further development.',
		hi: 'There are many options how to help this app and its further development.',
		cs: 'Je několik možností jak nám pomoci s vývojem této aplikace.'
	},

	'help-heading1': {
		en: 'Check an advert',
		es: 'Check an advert',
		pt: 'Check an advert',
		fr: 'Check an advert',
		de: 'Check an advert',
		zh: 'Check an advert',
		ru: 'Check an advert',
		hi: 'Check an advert',
		cs: 'Mrkněte na reklamu'
	},

	'help-text2': {
		en: 'By checking an advertisement, the authors of this app receive a little cash each time. It is not a lot. But if all active users of this app would check an ad at least once a week, we could dedicate all our time to the development of this application.',
		es: 'By checking an advertisement, the authors of this app receive a little cash each time. It is not a lot. But if all active users of this app would check an ad at least once a week, we could dedicate all our time to the development of this application.',
		pt: 'By checking an advertisement, the authors of this app receive a little cash each time. It is not a lot. But if all active users of this app would check an ad at least once a week, we could dedicate all our time to the development of this application.',
		fr: 'By checking an advertisement, the authors of this app receive a little cash each time. It is not a lot. But if all active users of this app would check an ad at least once a week, we could dedicate all our time to the development of this application.',
		de: 'By checking an advertisement, the authors of this app receive a little cash each time. It is not a lot. But if all active users of this app would check an ad at least once a week, we could dedicate all our time to the development of this application.',
		zh: 'By checking an advertisement, the authors of this app receive a little cash each time. It is not a lot. But if all active users of this app would check an ad at least once a week, we could dedicate all our time to the development of this application.',
		ru: 'By checking an advertisement, the authors of this app receive a little cash each time. It is not a lot. But if all active users of this app would check an ad at least once a week, we could dedicate all our time to the development of this application.',
		hi: 'By checking an advertisement, the authors of this app receive a little cash each time. It is not a lot. But if all active users of this app would check an ad at least once a week, we could dedicate all our time to the development of this application.',
		cs: 'Pokaždé, když se podíváte na reklamu, získají autoři této aplikace pár korun. Není to moc. Ale kdyby se každý aktivní uživatel této aplikace podíval na reklamu alespoň jednou týdně, mohli bychom vývoji této aplikace věnovat všechen náš čas.'
	},

	'help-heading2': {
		en: 'Tell friends about it',
		es: 'Tell friends about it',
		pt: 'Tell friends about it',
		fr: 'Tell friends about it',
		de: 'Tell friends about it',
		zh: 'Tell friends about it',
		ru: 'Tell friends about it',
		hi: 'Tell friends about it',
		cs: 'Povězte o této aplikaci známým'
	},

	'help-text3': {
		en: 'Telling friends about this app gives us more users. The more people use this app, the stronger we are in general, not only that it gives us more resources to work with.',
		es: 'Telling friends about this app gives us more users. The more people use this app, the stronger we are in general, not only that it gives us more resources to work with.',
		pt: 'Telling friends about this app gives us more users. The more people use this app, the stronger we are in general, not only that it gives us more resources to work with.',
		fr: 'Telling friends about this app gives us more users. The more people use this app, the stronger we are in general, not only that it gives us more resources to work with.',
		de: 'Telling friends about this app gives us more users. The more people use this app, the stronger we are in general, not only that it gives us more resources to work with.',
		zh: 'Telling friends about this app gives us more users. The more people use this app, the stronger we are in general, not only that it gives us more resources to work with.',
		ru: 'Telling friends about this app gives us more users. The more people use this app, the stronger we are in general, not only that it gives us more resources to work with.',
		hi: 'Telling friends about this app gives us more users. The more people use this app, the stronger we are in general, not only that it gives us more resources to work with.',
		cs: 'Doporučování této aplikace známým nám dává více uživatelů. Čím více uživatelů máme, tím silnější jsme obecně, nejen, že nám to dává více prostředků na vývoj této aplikace.'
	},

	'help-text4': {
		en: 'If you know about anyone, who might be happy to know about this app, please tell them in person or:',
		es: 'If you know about anyone, who might be happy to know about this app, please tell them in person or:',
		pt: 'If you know about anyone, who might be happy to know about this app, please tell them in person or:',
		fr: 'If you know about anyone, who might be happy to know about this app, please tell them in person or:',
		de: 'If you know about anyone, who might be happy to know about this app, please tell them in person or:',
		zh: 'If you know about anyone, who might be happy to know about this app, please tell them in person or:',
		ru: 'If you know about anyone, who might be happy to know about this app, please tell them in person or:',
		hi: 'If you know about anyone, who might be happy to know about this app, please tell them in person or:',
		cs: 'Pokud víte o někom, komu by tato aplikace mohla pomoci, řekněte mu o ní osobně nebo:'
	},

	'help-heading3': {
		en: 'Rate it',
		es: 'Rate it',
		pt: 'Rate it',
		fr: 'Rate it',
		de: 'Rate it',
		zh: 'Rate it',
		ru: 'Rate it',
		hi: 'Rate it',
		cs: 'Ohodnoťte aplikaci'
	},

	'help-text5': {
		en: 'People who are unhappy always give a bad rating, while people who are happy only rarely do so. If you are happy with this app and the way it evolves, please rate it positively. The better overall rating this app has, the more users is it shown to and the more users install it. Which again gives us more resources to work with.',
		es: 'People who are unhappy always give a bad rating, while people who are happy only rarely do so. If you are happy with this app and the way it evolves, please rate it positively. The better overall rating this app has, the more users is it shown to and the more users install it. Which again gives us more resources to work with.',
		pt: 'People who are unhappy always give a bad rating, while people who are happy only rarely do so. If you are happy with this app and the way it evolves, please rate it positively. The better overall rating this app has, the more users is it shown to and the more users install it. Which again gives us more resources to work with.',
		fr: 'People who are unhappy always give a bad rating, while people who are happy only rarely do so. If you are happy with this app and the way it evolves, please rate it positively. The better overall rating this app has, the more users is it shown to and the more users install it. Which again gives us more resources to work with.',
		de: 'People who are unhappy always give a bad rating, while people who are happy only rarely do so. If you are happy with this app and the way it evolves, please rate it positively. The better overall rating this app has, the more users is it shown to and the more users install it. Which again gives us more resources to work with.',
		zh: 'People who are unhappy always give a bad rating, while people who are happy only rarely do so. If you are happy with this app and the way it evolves, please rate it positively. The better overall rating this app has, the more users is it shown to and the more users install it. Which again gives us more resources to work with.',
		ru: 'People who are unhappy always give a bad rating, while people who are happy only rarely do so. If you are happy with this app and the way it evolves, please rate it positively. The better overall rating this app has, the more users is it shown to and the more users install it. Which again gives us more resources to work with.',
		hi: 'People who are unhappy always give a bad rating, while people who are happy only rarely do so. If you are happy with this app and the way it evolves, please rate it positively. The better overall rating this app has, the more users is it shown to and the more users install it. Which again gives us more resources to work with.',
		cs: 'Lidé, kteří jsou s něčím nespokojeni, vždy dávají špatné hodnocení, zatímco ti, kteří jsou spokojeni, dávají hodnocení jen zřídka. Pokud jste spokojeni s tím, jak se tato aplikace vyvíjí, ohodnoťe ji prosím pozitivně. Čím lepší celkové hodnocení má tato apliakce, tím více uživatelů si ji nainstaluje. Což nám opět potažmo dává více prostředků, se kterými můžeme pracovat.'
	},

	'help-heading4': {
		en: 'Join our Facebook group',
		es: 'Join our Facebook group',
		pt: 'Join our Facebook group',
		fr: 'Join our Facebook group',
		de: 'Join our Facebook group',
		zh: 'Join our Facebook group',
		ru: 'Join our Facebook group',
		hi: 'Join our Facebook group',
		cs: 'Přidejte se do Facebook skupiny'
	},

	'help-text6': {
		en: "We've got a group on Facebook dedicated to this application. You can join us there to discuss your ideas to make the app better or give feedback to the ideas of others.",
		es: "We've got a group on Facebook dedicated to this application. You can join us there to discuss your ideas to make the app better or give feedback to the ideas of others.",
		pt: "We've got a group on Facebook dedicated to this application. You can join us there to discuss your ideas to make the app better or give feedback to the ideas of others.",
		fr: "We've got a group on Facebook dedicated to this application. You can join us there to discuss your ideas to make the app better or give feedback to the ideas of others.",
		de: "We've got a group on Facebook dedicated to this application. You can join us there to discuss your ideas to make the app better or give feedback to the ideas of others.",
		zh: "We've got a group on Facebook dedicated to this application. You can join us there to discuss your ideas to make the app better or give feedback to the ideas of others.",
		ru: "We've got a group on Facebook dedicated to this application. You can join us there to discuss your ideas to make the app better or give feedback to the ideas of others.",
		hi: "We've got a group on Facebook dedicated to this application. You can join us there to discuss your ideas to make the app better or give feedback to the ideas of others.",
		cs: 'Máme Facebook skupinu speciálně pro tuto aplikaci, kam se můžete připojit a diskutovat o vašich nápadech na zlepšení nebo říci ostatním, jak se vám líbí jejich nápady.'
	},

	'help-heading5': {
		en: 'Make a donation',
		es: 'Make a donation',
		pt: 'Make a donation',
		fr: 'Make a donation',
		de: 'Make a donation',
		zh: 'Make a donation',
		ru: 'Make a donation',
		hi: 'Make a donation',
		cs: 'Přispějte penězi'
	},

	'help-text7': {
		en: 'Of course the biggest help is making a direct donation. If you would kindly like to donate, you can use PayPal to do so:',
		es: 'Of course the biggest help is making a direct donation. If you would kindly like to donate, you can use PayPal to do so:',
		pt: 'Of course the biggest help is making a direct donation. If you would kindly like to donate, you can use PayPal to do so:',
		fr: 'Of course the biggest help is making a direct donation. If you would kindly like to donate, you can use PayPal to do so:',
		de: 'Of course the biggest help is making a direct donation. If you would kindly like to donate, you can use PayPal to do so:',
		zh: 'Of course the biggest help is making a direct donation. If you would kindly like to donate, you can use PayPal to do so:',
		ru: 'Of course the biggest help is making a direct donation. If you would kindly like to donate, you can use PayPal to do so:',
		hi: 'Of course the biggest help is making a direct donation. If you would kindly like to donate, you can use PayPal to do so:',
		cs: 'Samozřejmě největší pomocí je přímý příspěvek. Pokud máte možnost a chuť přispět, můžete tak učinit pomocí PayPal:'
	},

	'help-heading6': {
		en: 'Translate it',
		es: 'Translate it',
		pt: 'Translate it',
		fr: 'Translate it',
		de: 'Translate it',
		zh: 'Translate it',
		ru: 'Translate it',
		hi: 'Translate it',
		cs: 'Přeložte aplikaci'
	},

	'help-text8': {
		en: "Do you speak a different language and would you like to translate our application to it? We'd love your help! Please email us to <b>info@dppapp.cz</b> and tell us which language is it. Translating the app only takes a couple of hours and is very easy. We'll guide you with everything necessary.",
		es: "Do you speak a different language and would you like to translate our application to it? We'd love your help! Please email us to <b>info@dppapp.cz</b> and tell us which language is it. Translating the app only takes a couple of hours and is very easy. We'll guide you with everything necessary.",
		pt: "Do you speak a different language and would you like to translate our application to it? We'd love your help! Please email us to <b>info@dppapp.cz</b> and tell us which language is it. Translating the app only takes a couple of hours and is very easy. We'll guide you with everything necessary.",
		fr: "Do you speak a different language and would you like to translate our application to it? We'd love your help! Please email us to <b>info@dppapp.cz</b> and tell us which language is it. Translating the app only takes a couple of hours and is very easy. We'll guide you with everything necessary.",
		de: "Do you speak a different language and would you like to translate our application to it? We'd love your help! Please email us to <b>info@dppapp.cz</b> and tell us which language is it. Translating the app only takes a couple of hours and is very easy. We'll guide you with everything necessary.",
		zh: "Do you speak a different language and would you like to translate our application to it? We'd love your help! Please email us to <b>info@dppapp.cz</b> and tell us which language is it. Translating the app only takes a couple of hours and is very easy. We'll guide you with everything necessary.",
		ru: "Do you speak a different language and would you like to translate our application to it? We'd love your help! Please email us to <b>info@dppapp.cz</b> and tell us which language is it. Translating the app only takes a couple of hours and is very easy. We'll guide you with everything necessary.",
		hi: "Do you speak a different language and would you like to translate our application to it? We'd love your help! Please email us to <b>info@dppapp.cz</b> and tell us which language is it. Translating the app only takes a couple of hours and is very easy. We'll guide you with everything necessary.",
		cs: 'Mluvíte dobře jiným jazykem a chtěli byste pomoci s překladem této aplikace? To by byla obrovská pomoc. Napište nám prosím na <b>info@dppapp.cz</b> o jaký jazyk se jedná. Překládání této aplikace celkově zabere jen pár hodin a je to velmi jednoduché. Se vším vám pomůžeme.'
	},

	'help-heading7': {
		en: 'Check our other apps',
		es: 'Check our other apps',
		pt: 'Check our other apps',
		fr: 'Check our other apps',
		de: 'Check our other apps',
		zh: 'Check our other apps',
		ru: 'Check our other apps',
		hi: 'Check our other apps',
		cs: 'Mrkněte na naše ostatní appky'
	},

	'help-text9': {
		en: 'Try our other apps. The more users we have overall, the stronger are we.',
		es: 'Try our other apps. The more users we have overall, the stronger are we.',
		pt: 'Try our other apps. The more users we have overall, the stronger are we.',
		fr: 'Try our other apps. The more users we have overall, the stronger are we.',
		de: 'Try our other apps. The more users we have overall, the stronger are we.',
		zh: 'Try our other apps. The more users we have overall, the stronger are we.',
		ru: 'Try our other apps. The more users we have overall, the stronger are we.',
		hi: 'Try our other apps. The more users we have overall, the stronger are we.',
		cs: 'Vyzkoušejte naše ostatní aplikace. Čím více uživatelů máme celkově, tím jsme silnější.'
	},

	'help-ad-button': {
		en: 'Show an Advertisement',
		es: 'Show an Advertisement',
		pt: 'Show an Advertisement',
		fr: 'Show an Advertisement',
		de: 'Show an Advertisement',
		zh: 'Show an Advertisement',
		ru: 'Show an Advertisement',
		hi: 'Show an Advertisement',
		cs: 'Zobrazit Reklamu'
	},

	'help-share-button': {
		en: 'Send Android Link',
		es: 'Send Android Link',
		pt: 'Send Android Link',
		fr: 'Send Android Link',
		de: 'Send Android Link',
		zh: 'Send Android Link',
		ru: 'Send Android Link',
		hi: 'Send Android Link',
		cs: 'Poslat Android Odkaz'
	},

	'help-rate-button': {
		en: 'Rate in Google Play',
		es: 'Rate in Google Play',
		pt: 'Rate in Google Play',
		fr: 'Rate in Google Play',
		de: 'Rate in Google Play',
		zh: 'Rate in Google Play',
		ru: 'Rate in Google Play',
		hi: 'Rate in Google Play',
		cs: 'Ohodnotit v Google Play'
	},

	'help-fbgroup-button': {
		en: 'Join Facebook Group',
		es: 'Join Facebook Group',
		pt: 'Join Facebook Group',
		fr: 'Join Facebook Group',
		de: 'Join Facebook Group',
		zh: 'Join Facebook Group',
		ru: 'Join Facebook Group',
		hi: 'Join Facebook Group',
		cs: 'Připojit se ke Skupině'
	},

	'help-donate-button-voluntary': {
		en: 'Another Amount',
		es: 'Another Amount',
		pt: 'Another Amount',
		fr: 'Another Amount',
		de: 'Another Amount',
		zh: 'Another Amount',
		ru: 'Another Amount',
		hi: 'Another Amount',
		cs: 'Jiná Částka'
	},

	'help-apps-button': {
		en: 'See What Else Do We Have',
		es: 'See What Else Do We Have',
		pt: 'See What Else Do We Have',
		fr: 'See What Else Do We Have',
		de: 'See What Else Do We Have',
		zh: 'See What Else Do We Have',
		ru: 'See What Else Do We Have',
		hi: 'See What Else Do We Have',
		cs: 'Mrkně Co Ještě Máme'
	},

	'otherapps-makeshift': {
		en: 'MakeShift helps you to recognize your goals better and achieve them faster.',
		es: 'MakeShift helps you to recognize your goals better and achieve them faster.',
		pt: 'MakeShift helps you to recognize your goals better and achieve them faster.',
		fr: 'MakeShift helps you to recognize your goals better and achieve them faster.',
		de: 'MakeShift helps you to recognize your goals better and achieve them faster.',
		zh: 'MakeShift helps you to recognize your goals better and achieve them faster.',
		ru: 'MakeShift helps you to recognize your goals better and achieve them faster.',
		hi: 'MakeShift helps you to recognize your goals better and achieve them faster.',
		cs: 'MakeShift vám pomůže lépe si určit cíle a dosánout jich rychleji.'
	},

	'otherapps-try': {
		en: 'Try It',
		es: 'Try It',
		pt: 'Try It',
		fr: 'Try It',
		de: 'Try It',
		zh: 'Try It',
		ru: 'Try It',
		hi: 'Try It',
		cs: 'Vyzkoušet'
	},

	'otherapps-freestuffmap': {
		en: 'Free Wi-Fi, electricity, parking, drinking water and more pointed out on the map.',
		es: 'Free Wi-Fi, electricity, parking, drinking water and more pointed out on the map.',
		pt: 'Free Wi-Fi, electricity, parking, drinking water and more pointed out on the map.',
		fr: 'Free Wi-Fi, electricity, parking, drinking water and more pointed out on the map.',
		de: 'Free Wi-Fi, electricity, parking, drinking water and more pointed out on the map.',
		zh: 'Free Wi-Fi, electricity, parking, drinking water and more pointed out on the map.',
		ru: 'Free Wi-Fi, electricity, parking, drinking water and more pointed out on the map.',
		hi: 'Free Wi-Fi, electricity, parking, drinking water and more pointed out on the map.',
		cs: 'Všechno zadarmo: Wi-Fi, zásuvky, parkování, pitná voda a další věci na mapě.'
	},

	'checks-heading': {
		en: 'Just seen a ticket check?',
		es: 'Just seen a ticket check?',
		pt: 'Just seen a ticket check?',
		fr: 'Just seen a ticket check?',
		de: 'Just seen a ticket check?',
		zh: 'Just seen a ticket check?',
		ru: 'Just seen a ticket check?',
		hi: 'Just seen a ticket check?',
		cs: 'Viděli jste právě revizi?'
	},

	'checks-subheading': {
		en: 'Alert others, share where it was.',
		es: 'Alert others, share where it was.',
		pt: 'Alert others, share where it was.',
		fr: 'Alert others, share where it was.',
		de: 'Alert others, share where it was.',
		zh: 'Alert others, share where it was.',
		ru: 'Alert others, share where it was.',
		hi: 'Alert others, share where it was.',
		cs: 'Řekněte ostatním, kde to bylo.'
	},

	'checks-button': {
		en: 'Warn',
		es: 'Warn',
		pt: 'Warn',
		fr: 'Warn',
		de: 'Warn',
		zh: 'Warn',
		ru: 'Warn',
		hi: 'Warn',
		cs: 'Varovat'
	},

	'checks-heading2': {
		en: "Today's Alerts",
		es: "Today's Alerts",
		pt: "Today's Alerts",
		fr: "Today's Alerts",
		de: "Today's Alerts",
		zh: "Today's Alerts",
		ru: "Today's Alerts",
		hi: "Today's Alerts",
		cs: 'Dnešní Upozornění'
	},

	'settings-heading1': {
		en: 'Recent routes',
		es: 'Recent routes',
		pt: 'Recent routes',
		fr: 'Recent routes',
		de: 'Recent routes',
		zh: 'Recent routes',
		ru: 'Recent routes',
		hi: 'Recent routes',
		cs: 'Nedávné cesty'
	},

	'settings-text1': {
		en: "Recent routes is a list of Start - Destination pairs you have searched recently. They display upon the search form and they are filled in the form when you select them. It's simple and quick way to input routes you often search. Here you can set up how many of recent routes will display, from the most recent ones.",
		es: "Recent routes is a list of Start - Destination pairs you have searched recently. They display upon the search form and they are filled in the form when you select them. It's simple and quick way to input routes you often search. Here you can set up how many of recent routes will display, from the most recent ones.",
		pt: "Recent routes is a list of Start - Destination pairs you have searched recently. They display upon the search form and they are filled in the form when you select them. It's simple and quick way to input routes you often search. Here you can set up how many of recent routes will display, from the most recent ones.",
		fr: "Recent routes is a list of Start - Destination pairs you have searched recently. They display upon the search form and they are filled in the form when you select them. It's simple and quick way to input routes you often search. Here you can set up how many of recent routes will display, from the most recent ones.",
		de: "Recent routes is a list of Start - Destination pairs you have searched recently. They display upon the search form and they are filled in the form when you select them. It's simple and quick way to input routes you often search. Here you can set up how many of recent routes will display, from the most recent ones.",
		zh: "Recent routes is a list of Start - Destination pairs you have searched recently. They display upon the search form and they are filled in the form when you select them. It's simple and quick way to input routes you often search. Here you can set up how many of recent routes will display, from the most recent ones.",
		ru: "Recent routes is a list of Start - Destination pairs you have searched recently. They display upon the search form and they are filled in the form when you select them. It's simple and quick way to input routes you often search. Here you can set up how many of recent routes will display, from the most recent ones.",
		hi: "Recent routes is a list of Start - Destination pairs you have searched recently. They display upon the search form and they are filled in the form when you select them. It's simple and quick way to input routes you often search. Here you can set up how many of recent routes will display, from the most recent ones.",
		cs: 'Nedávné cesty je seznam párů Startů a Cílů vašich cest, které jste nedávno hledali. Zobrazují se nad vyhledávacím formulářem a když je vyberete, tak se vám do formuláře vyplní. Je to jednoduchý a rychlý způsob, jak vyplnit cesty, které často hledáte. Zde si můžete nastavit, kolik nedávno hledaných cest se zobrazí.'
	},

	'settings-routes-label': {
		en: 'How many recent routes should display?',
		es: 'How many recent routes should display?',
		pt: 'How many recent routes should display?',
		fr: 'How many recent routes should display?',
		de: 'How many recent routes should display?',
		zh: 'How many recent routes should display?',
		ru: 'How many recent routes should display?',
		hi: 'How many recent routes should display?',
		cs: 'Kolik nedávno hledaných cest se má zobrazovat?'
	},

	'settings-routes-none': {
		en: 'None',
		es: 'None',
		pt: 'None',
		fr: 'None',
		de: 'None',
		zh: 'None',
		ru: 'None',
		hi: 'None',
		cs: 'Žádné'
	},

	'settings-heading2': {
		en: 'Recent stations',
		es: 'Recent stations',
		pt: 'Recent stations',
		fr: 'Recent stations',
		de: 'Recent stations',
		zh: 'Recent stations',
		ru: 'Recent stations',
		hi: 'Recent stations',
		cs: 'Nedávné stanice'
	},

	'settings-text2': {
		en: 'Whenever you tap a station input, a list of recently typed stations will show up. If you are about to type a station that you have typed in recently, this will allow you to quickly select it without typing at all.',
		es: 'Whenever you tap a station input, a list of recently typed stations will show up. If you are about to type a station that you have typed in recently, this will allow you to quickly select it without typing at all.',
		pt: 'Whenever you tap a station input, a list of recently typed stations will show up. If you are about to type a station that you have typed in recently, this will allow you to quickly select it without typing at all.',
		fr: 'Whenever you tap a station input, a list of recently typed stations will show up. If you are about to type a station that you have typed in recently, this will allow you to quickly select it without typing at all.',
		de: 'Whenever you tap a station input, a list of recently typed stations will show up. If you are about to type a station that you have typed in recently, this will allow you to quickly select it without typing at all.',
		zh: 'Whenever you tap a station input, a list of recently typed stations will show up. If you are about to type a station that you have typed in recently, this will allow you to quickly select it without typing at all.',
		ru: 'Whenever you tap a station input, a list of recently typed stations will show up. If you are about to type a station that you have typed in recently, this will allow you to quickly select it without typing at all.',
		hi: 'Whenever you tap a station input, a list of recently typed stations will show up. If you are about to type a station that you have typed in recently, this will allow you to quickly select it without typing at all.',
		cs: 'Pokaždé, když zmáčknete na políčko, kam se píše stanice, tak se vám nabídne seznam stanic, které jste nedávno vyplňovali. Pokud budete mít v úmyslu vyplnit stanici, kterou jste vyplňovali nedávno, stačí ji vybrat ze seznamu a vyplní se sama bez nutnosti psaní.'
	},

	'settings-stations-label': {
		en: 'How many recently typed stations should suggest?',
		es: 'How many recently typed stations should suggest?',
		pt: 'How many recently typed stations should suggest?',
		fr: 'How many recently typed stations should suggest?',
		de: 'How many recently typed stations should suggest?',
		zh: 'How many recently typed stations should suggest?',
		ru: 'How many recently typed stations should suggest?',
		hi: 'How many recently typed stations should suggest?',
		cs: 'Kolik nedávno vyplňovaných stanic by se mělo nabízet?'
	},

	'settings-stations-none': {
		en: 'None',
		es: 'None',
		pt: 'None',
		fr: 'None',
		de: 'None',
		zh: 'None',
		ru: 'None',
		hi: 'None',
		cs: 'Žádné'
	},

	'scheme-type-1': {
		en: 'Underground orientation scheme',
		es: 'Underground orientation scheme',
		pt: 'Underground orientation scheme',
		fr: 'Underground orientation scheme',
		de: 'Underground orientation scheme',
		zh: 'Underground orientation scheme',
		ru: 'Underground orientation scheme',
		hi: 'Underground orientation scheme',
		cs: 'Orientační plán metra'
	},

	'scheme-type-2': {
		en: 'Underground and trams',
		es: 'Underground and trams',
		pt: 'Underground and trams',
		fr: 'Underground and trams',
		de: 'Underground and trams',
		zh: 'Underground and trams',
		ru: 'Underground and trams',
		hi: 'Underground and trams',
		cs: 'Metro a tramvaje'
	},

	'scheme-type-3': {
		en: 'Underground and trams (w/ stops)',
		es: 'Underground and trams (w/ stops)',
		pt: 'Underground and trams (w/ stops)',
		fr: 'Underground and trams (w/ stops)',
		de: 'Underground and trams (w/ stops)',
		zh: 'Underground and trams (w/ stops)',
		ru: 'Underground and trams (w/ stops)',
		hi: 'Underground and trams (w/ stops)',
		cs: 'Metro a tramvaje (se zastávkami)'
	},

	'scheme-type-4': {
		en: 'Underground and buses (incl. low-floor)',
		es: 'Underground and buses (incl. low-floor)',
		pt: 'Underground and buses (incl. low-floor)',
		fr: 'Underground and buses (incl. low-floor)',
		de: 'Underground and buses (incl. low-floor)',
		zh: 'Underground and buses (incl. low-floor)',
		ru: 'Underground and buses (incl. low-floor)',
		hi: 'Underground and buses (incl. low-floor)',
		cs: 'Metro a autobusy (včetně nízkopodlažních)'
	},

	'scheme-type-5': {
		en: 'Overnight transport (w/ stops)',
		es: 'Overnight transport (w/ stops)',
		pt: 'Overnight transport (w/ stops)',
		fr: 'Overnight transport (w/ stops)',
		de: 'Overnight transport (w/ stops)',
		zh: 'Overnight transport (w/ stops)',
		ru: 'Overnight transport (w/ stops)',
		hi: 'Overnight transport (w/ stops)',
		cs: 'Noční doprava (se zastávkami)'
	},

	'scheme-type-6': {
		en: 'Overnight transport (orientation scheme)',
		es: 'Overnight transport (orientation scheme)',
		pt: 'Overnight transport (orientation scheme)',
		fr: 'Overnight transport (orientation scheme)',
		de: 'Overnight transport (orientation scheme)',
		zh: 'Overnight transport (orientation scheme)',
		ru: 'Overnight transport (orientation scheme)',
		hi: 'Overnight transport (orientation scheme)',
		cs: 'Noční doprava (orientační plán)'
	},

	'scheme-type-7': {
		en: 'Overnight trams, Lazarská central station',
		es: 'Overnight trams, Lazarská central station',
		pt: 'Overnight trams, Lazarská central station',
		fr: 'Overnight trams, Lazarská central station',
		de: 'Overnight trams, Lazarská central station',
		zh: 'Overnight trams, Lazarská central station',
		ru: 'Overnight trams, Lazarská central station',
		hi: 'Overnight trams, Lazarská central station',
		cs: 'Noční tramvaje v přestupní zastávce Lazarská'
	},

	'scheme-type-8': {
		en: 'Accessible trams and buses',
		es: 'Accessible trams and buses',
		pt: 'Accessible trams and buses',
		fr: 'Accessible trams and buses',
		de: 'Accessible trams and buses',
		zh: 'Accessible trams and buses',
		ru: 'Accessible trams and buses',
		hi: 'Accessible trams and buses',
		cs: 'Tramvaje a speciální autobusy pro osoby se sníženou pohyblivostí'
	},

	'scheme-type-9': {
		en: 'Trams transporting bicycles',
		es: 'Trams transporting bicycles',
		pt: 'Trams transporting bicycles',
		fr: 'Trams transporting bicycles',
		de: 'Trams transporting bicycles',
		zh: 'Trams transporting bicycles',
		ru: 'Trams transporting bicycles',
		hi: 'Trams transporting bicycles',
		cs: 'Přeprava jízdních kol v tramvajích'
	},

	'scheme-type-10': {
		en: 'Airport routes (daytime)',
		es: 'Airport routes (daytime)',
		pt: 'Airport routes (daytime)',
		fr: 'Airport routes (daytime)',
		de: 'Airport routes (daytime)',
		zh: 'Airport routes (daytime)',
		ru: 'Airport routes (daytime)',
		hi: 'Airport routes (daytime)',
		cs: 'Dostupnost letiště (denní)'
	},

	'info-ok': {
		en: 'OK',
		es: 'OK',
		pt: 'OK',
		fr: 'OK',
		de: 'OK',
		zh: 'OK',
		ru: 'OK',
		hi: 'OK',
		cs: 'OK'
	},

	'modal-notification-title': {
		en: 'Departure Reminder',
		es: 'Departure Reminder',
		pt: 'Departure Reminder',
		fr: 'Departure Reminder',
		de: 'Departure Reminder',
		zh: 'Departure Reminder',
		ru: 'Departure Reminder',
		hi: 'Departure Reminder',
		cs: 'Připomenutí Odjezdu'
	},

	'modal-notification-text1': {
		en: 'You can set up a notification that will remind you the departure in time.',
		es: 'You can set up a notification that will remind you the departure in time.',
		pt: 'You can set up a notification that will remind you the departure in time.',
		fr: 'You can set up a notification that will remind you the departure in time.',
		de: 'You can set up a notification that will remind you the departure in time.',
		zh: 'You can set up a notification that will remind you the departure in time.',
		ru: 'You can set up a notification that will remind you the departure in time.',
		hi: 'You can set up a notification that will remind you the departure in time.',
		cs: 'Tímto si můžete nastavit notifikaci, která vám včas připomene odjzed spoje.'
	},

	'modal-notification-text2': {
		en: 'How much in advance do you want the notification to show up?',
		es: 'How much in advance do you want the notification to show up?',
		pt: 'How much in advance do you want the notification to show up?',
		fr: 'How much in advance do you want the notification to show up?',
		de: 'How much in advance do you want the notification to show up?',
		zh: 'How much in advance do you want the notification to show up?',
		ru: 'How much in advance do you want the notification to show up?',
		hi: 'How much in advance do you want the notification to show up?',
		cs: 'Kolik dlouho předem chcete, aby se notifikace zobrazila?'
	},

	'modal-notification-cancel': {
		en: 'Cancel',
		es: 'Cancel',
		pt: 'Cancel',
		fr: 'Cancel',
		de: 'Cancel',
		zh: 'Cancel',
		ru: 'Cancel',
		hi: 'Cancel',
		cs: 'Zrušit'
	},

	'dateformat': {
		en: 'd mmm yyyy',
		es: 'd mmm yyyy',
		pt: 'd mmm yyyy',
		fr: 'd mmm yyyy',
		de: 'd mmm yyyy',
		zh: 'd mmm yyyy',
		ru: 'd mmm yyyy',
		hi: 'd mmm yyyy',
		cs: 'd. m. yyyy'
	},

	'calendar-today': {
		en: 'Today',
		es: 'Today',
		pt: 'Today',
		fr: 'Today',
		de: 'Today',
		zh: 'Today',
		ru: 'Today',
		hi: 'Today',
		cs: 'Dnes'
	},

	'calendar-clear': {
		en: 'Clear',
		es: 'Clear',
		pt: 'Clear',
		fr: 'Clear',
		de: 'Clear',
		zh: 'Clear',
		ru: 'Clear',
		hi: 'Clear',
		cs: 'Zrušit'
	},

	'calendar-close': {
		en: 'Close',
		es: 'Close',
		pt: 'Close',
		fr: 'Close',
		de: 'Close',
		zh: 'Close',
		ru: 'Close',
		hi: 'Close',
		cs: 'Zavřít'
	},

	'search-help': {
		en: 'Waiting? Help this app by occasionally checking a video or an ad or help in a <a href="#" onclick="dpp.go2(\'help\')">different way</a>.',
		es: 'Waiting? Help this app by occasionally checking a video or an ad or help in a <a href="#" onclick="dpp.go2(\'help\')">different way</a>.',
		pt: 'Waiting? Help this app by occasionally checking a video or an ad or help in a <a href="#" onclick="dpp.go2(\'help\')">different way</a>.',
		fr: 'Waiting? Help this app by occasionally checking a video or an ad or help in a <a href="#" onclick="dpp.go2(\'help\')">different way</a>.',
		de: 'Waiting? Help this app by occasionally checking a video or an ad or help in a <a href="#" onclick="dpp.go2(\'help\')">different way</a>.',
		zh: 'Waiting? Help this app by occasionally checking a video or an ad or help in a <a href="#" onclick="dpp.go2(\'help\')">different way</a>.',
		ru: 'Waiting? Help this app by occasionally checking a video or an ad or help in a <a href="#" onclick="dpp.go2(\'help\')">different way</a>.',
		hi: 'Waiting? Help this app by occasionally checking a video or an ad or help in a <a href="#" onclick="dpp.go2(\'help\')">different way</a>.',
		cs: 'Čekáte na spoj? Pomozte této aplikaci občasným sledováním videí nebo reklam. Nebo pomozte <a href="#" onclick="dpp.go2(\'help\')">jinak</a>.'
	},

	'settings-heading3': {
		en: 'Time selection method',
		es: 'Time selection method',
		pt: 'Time selection method',
		fr: 'Time selection method',
		de: 'Time selection method',
		zh: 'Time selection method',
		ru: 'Time selection method',
		hi: 'Time selection method',
		cs: 'Způsob výběru času'
	},

	'settings-text3': {
		en: "You can choose from several types of time picking methods, which will display whenever you activate the time selection within connection search form. Scrolling method opens a window with a list of times, which you can scroll and choose the one you like. Round method opens a dialog where you can pick a time using <i>circle selection</i>. Typing method simply lets you type in the time using your keyboard. Please note that changing the time picking method <b>only applies after restarting the application</b>.",
		es: "You can choose from several types of time picking methods, which will display whenever you activate the time selection within connection search form. Scrolling method opens a window with a list of times, which you can scroll and choose the one you like. Round method opens a dialog where you can pick a time using <i>circle selection</i>. Typing method simply lets you type in the time using your keyboard. Please note that changing the time picking method <b>only applies after restarting the application</b>.",
		pt: "You can choose from several types of time picking methods, which will display whenever you activate the time selection within connection search form. Scrolling method opens a window with a list of times, which you can scroll and choose the one you like. Round method opens a dialog where you can pick a time using <i>circle selection</i>. Typing method simply lets you type in the time using your keyboard. Please note that changing the time picking method <b>only applies after restarting the application</b>.",
		fr: "You can choose from several types of time picking methods, which will display whenever you activate the time selection within connection search form. Scrolling method opens a window with a list of times, which you can scroll and choose the one you like. Round method opens a dialog where you can pick a time using <i>circle selection</i>. Typing method simply lets you type in the time using your keyboard. Please note that changing the time picking method <b>only applies after restarting the application</b>.",
		de: "You can choose from several types of time picking methods, which will display whenever you activate the time selection within connection search form. Scrolling method opens a window with a list of times, which you can scroll and choose the one you like. Round method opens a dialog where you can pick a time using <i>circle selection</i>. Typing method simply lets you type in the time using your keyboard. Please note that changing the time picking method <b>only applies after restarting the application</b>.",
		zh: "You can choose from several types of time picking methods, which will display whenever you activate the time selection within connection search form. Scrolling method opens a window with a list of times, which you can scroll and choose the one you like. Round method opens a dialog where you can pick a time using <i>circle selection</i>. Typing method simply lets you type in the time using your keyboard. Please note that changing the time picking method <b>only applies after restarting the application</b>.",
		ru: "You can choose from several types of time picking methods, which will display whenever you activate the time selection within connection search form. Scrolling method opens a window with a list of times, which you can scroll and choose the one you like. Round method opens a dialog where you can pick a time using <i>circle selection</i>. Typing method simply lets you type in the time using your keyboard. Please note that changing the time picking method <b>only applies after restarting the application</b>.",
		hi: "You can choose from several types of time picking methods, which will display whenever you activate the time selection within connection search form. Scrolling method opens a window with a list of times, which you can scroll and choose the one you like. Round method opens a dialog where you can pick a time using <i>circle selection</i>. Typing method simply lets you type in the time using your keyboard. Please note that changing the time picking method <b>only applies after restarting the application</b>.",
		cs: 'Můžete si vybrat z více způsobů výběru času, který se objeví kdykoli aktivujete výběr času ve formuláři vyhledávání spojení. Rolovací způsob otevře okno se seznamem časů, který můžete rolovat a vybrat si ten vhodný. Kruhový způsob otevře okénko s <i>kruhovým výběrem</i>. Psací způsob vám jednoduše umožní vepsat čas pomocí klávesnice. Změna způsobu výběru času <b>se projeví až po restartu aplikace</b>.'
	},

	'settings-time-label': {
		en: 'Which time picking methond would you prefer?',
		es: 'Which time picking methond would you prefer?',
		pt: 'Which time picking methond would you prefer?',
		fr: 'Which time picking methond would you prefer?',
		de: 'Which time picking methond would you prefer?',
		zh: 'Which time picking methond would you prefer?',
		ru: 'Which time picking methond would you prefer?',
		hi: 'Which time picking methond would you prefer?',
		cs: 'Jaký způsob výběru času preferujete?'
	},

	'settings-time-scrolling15': {
		en: 'Scrolling - 15 min. interval',
		es: 'Scrolling - 15 min. interval',
		pt: 'Scrolling - 15 min. interval',
		fr: 'Scrolling - 15 min. interval',
		de: 'Scrolling - 15 min. interval',
		zh: 'Scrolling - 15 min. interval',
		ru: 'Scrolling - 15 min. interval',
		hi: 'Scrolling - 15 min. interval',
		cs: 'Rolovací - 15 min. interval'
	},

	'settings-time-scrolling30': {
		en: 'Scrolling - 30 min. interval',
		es: 'Scrolling - 30 min. interval',
		pt: 'Scrolling - 30 min. interval',
		fr: 'Scrolling - 30 min. interval',
		de: 'Scrolling - 30 min. interval',
		zh: 'Scrolling - 30 min. interval',
		ru: 'Scrolling - 30 min. interval',
		hi: 'Scrolling - 30 min. interval',
		cs: 'Rolovací - 30 min. interval'
	},

	'settings-time-round': {
		en: 'Round - circle selection (default)',
		es: 'Round - circle selection (default)',
		pt: 'Round - circle selection (default)',
		fr: 'Round - circle selection (default)',
		de: 'Round - circle selection (default)',
		zh: 'Round - circle selection (default)',
		ru: 'Round - circle selection (default)',
		hi: 'Round - circle selection (default)',
		cs: 'Kruhový - kruhový výběr (standardně)'
	},

	'settings-time-typing': {
		en: 'Typing - using keyboard',
		es: 'Typing - using keyboard',
		pt: 'Typing - using keyboard',
		fr: 'Typing - using keyboard',
		de: 'Typing - using keyboard',
		zh: 'Typing - using keyboard',
		ru: 'Typing - using keyboard',
		hi: 'Typing - using keyboard',
		cs: 'Psací - pomocí klávesnice'
	},

	'or': {
		en: 'or',
		es: 'or',
		pt: 'or',
		fr: 'or',
		de: 'or',
		zh: 'or',
		ru: 'or',
		hi: 'or',
		cs: 'nebo'
	},

	'search-showad-rewarded': {
		en: 'Show Video',
		es: 'Show Video',
		pt: 'Show Video',
		fr: 'Show Video',
		de: 'Show Video',
		zh: 'Show Video',
		ru: 'Show Video',
		hi: 'Show Video',
		cs: 'Zobrazit Video'
	},

	'modal-alert-dismiss': {
		en: 'OK',
		es: 'OK',
		pt: 'OK',
		fr: 'OK',
		de: 'OK',
		zh: 'OK',
		ru: 'OK',
		hi: 'OK',
		cs: 'OK'
	},

	'ads-alert-title': {
		en: 'Thank you!',
		es: 'Thank you!',
		pt: 'Thank you!',
		fr: 'Thank you!',
		de: 'Thank you!',
		zh: 'Thank you!',
		ru: 'Thank you!',
		hi: 'Thank you!',
		cs: 'Děkujeme!'
	},

	'ads-alert-text1': {
		en: 'You have just directly financially donated further development of this app. It is very valuable to us!',
		es: 'You have just directly financially donated further development of this app. It is very valuable to us!',
		pt: 'You have just directly financially donated further development of this app. It is very valuable to us!',
		fr: 'You have just directly financially donated further development of this app. It is very valuable to us!',
		de: 'You have just directly financially donated further development of this app. It is very valuable to us!',
		zh: 'You have just directly financially donated further development of this app. It is very valuable to us!',
		ru: 'You have just directly financially donated further development of this app. It is very valuable to us!',
		hi: 'You have just directly financially donated further development of this app. It is very valuable to us!',
		cs: 'Právě jste přímo finančně přispěli na další vývoj aplikace. Velice si toho vážíme!'
	},

	'ads-alert-heading1': {
		en: 'Note',
		es: 'Note',
		pt: 'Note',
		fr: 'Note',
		de: 'Note',
		zh: 'Note',
		ru: 'Note',
		hi: 'Note',
		cs: 'Poznámka'
	},

	'ads-alert-text2': {
		en: 'Everytime a user checks an ad, a small amount of money is contributed to futher development of this app. The percentage updates roughly every 10 minutes.',
		es: 'Everytime a user checks an ad, a small amount of money is contributed to futher development of this app. The percentage updates roughly every 10 minutes.',
		pt: 'Everytime a user checks an ad, a small amount of money is contributed to futher development of this app. The percentage updates roughly every 10 minutes.',
		fr: 'Everytime a user checks an ad, a small amount of money is contributed to futher development of this app. The percentage updates roughly every 10 minutes.',
		de: 'Everytime a user checks an ad, a small amount of money is contributed to futher development of this app. The percentage updates roughly every 10 minutes.',
		zh: 'Everytime a user checks an ad, a small amount of money is contributed to futher development of this app. The percentage updates roughly every 10 minutes.',
		ru: 'Everytime a user checks an ad, a small amount of money is contributed to futher development of this app. The percentage updates roughly every 10 minutes.',
		hi: 'Everytime a user checks an ad, a small amount of money is contributed to futher development of this app. The percentage updates roughly every 10 minutes.',
		cs: 'Vždy, když nějaký uživatel shlédne reklamu, přispěje tak na další vývoj této aplikace. Procenta se aktualizují přibližně každých 10 minut.'
	},

	'search-ad-whatsthis': {
		en: "What's this?",
		es: "What's this?",
		pt: "What's this?",
		fr: "What's this?",
		de: "What's this?",
		zh: "What's this?",
		ru: "What's this?",
		hi: "What's this?",
		cs: 'Co je to?'
	},

	'search-ad-0': {
		en: "We've still got stuff to do.",
		es: "We've still got stuff to do.",
		pt: "We've still got stuff to do.",
		fr: "We've still got stuff to do.",
		de: "We've still got stuff to do.",
		zh: "We've still got stuff to do.",
		ru: "We've still got stuff to do.",
		hi: "We've still got stuff to do.",
		cs: 'Ještě máme co dělat.'
	},

	'search-ad-25': {
		en: "We're doing good!",
		es: "We're doing good!",
		pt: "We're doing good!",
		fr: "We're doing good!",
		de: "We're doing good!",
		zh: "We're doing good!",
		ru: "We're doing good!",
		hi: "We're doing good!",
		cs: 'Vedeme si dobře!'
	},

	'search-ad-50': {
		en: "More than half done!",
		es: "More than half done!",
		pt: "More than half done!",
		fr: "More than half done!",
		de: "More than half done!",
		zh: "More than half done!",
		ru: "More than half done!",
		hi: "More than half done!",
		cs: 'Už jsme za půlkou!'
	},

	'search-ad-75': {
		en: "Almost there!",
		es: "Almost there!",
		pt: "Almost there!",
		fr: "Almost there!",
		de: "Almost there!",
		zh: "Almost there!",
		ru: "Almost there!",
		hi: "Almost there!",
		cs: 'Skoro to máme!'
	},

	'search-ad-100': {
		en: "Brilliant!!!",
		es: "Brilliant!!!",
		pt: "Brilliant!!!",
		fr: "Brilliant!!!",
		de: "Brilliant!!!",
		zh: "Brilliant!!!",
		ru: "Brilliant!!!",
		hi: "Brilliant!!!",
		cs: 'Výborně!!!'
	},

	'ads-explaination-title': {
		en: "How does it work",
		es: "How does it work",
		pt: "How does it work",
		fr: "How does it work",
		de: "How does it work",
		zh: "How does it work",
		ru: "How does it work",
		hi: "How does it work",
		cs: 'Jak to funguje'
	},

	'ads-explaination-text1': {
		en: "With every advertisement seen you contribute a tiny money to the further development of this app.",
		es: "With every advertisement seen you contribute a tiny money to the further development of this app.",
		pt: "With every advertisement seen you contribute a tiny money to the further development of this app.",
		fr: "With every advertisement seen you contribute a tiny money to the further development of this app.",
		de: "With every advertisement seen you contribute a tiny money to the further development of this app.",
		zh: "With every advertisement seen you contribute a tiny money to the further development of this app.",
		ru: "With every advertisement seen you contribute a tiny money to the further development of this app.",
		hi: "With every advertisement seen you contribute a tiny money to the further development of this app.",
		cs: 'S každou shlédnutou reklamou přispíváte malinkou finanční částku na další vývoj této aplikace.'
	},

	'ads-explaination-text2': {
		en: "Under the connection search form, there's a status indicating how many ads have been roughly seen by all users during the past 24 hours. The rating is determined by how many funds in total are needed for further development of this app in real time - so we don't have to wait years for new features.",
		es: "Under the connection search form, there's a status indicating how many ads have been roughly seen by all users during the past 24 hours. The rating is determined by how many funds in total are needed for further development of this app in real time - so we don't have to wait years for new features.",
		pt: "Under the connection search form, there's a status indicating how many ads have been roughly seen by all users during the past 24 hours. The rating is determined by how many funds in total are needed for further development of this app in real time - so we don't have to wait years for new features.",
		fr: "Under the connection search form, there's a status indicating how many ads have been roughly seen by all users during the past 24 hours. The rating is determined by how many funds in total are needed for further development of this app in real time - so we don't have to wait years for new features.",
		de: "Under the connection search form, there's a status indicating how many ads have been roughly seen by all users during the past 24 hours. The rating is determined by how many funds in total are needed for further development of this app in real time - so we don't have to wait years for new features.",
		zh: "Under the connection search form, there's a status indicating how many ads have been roughly seen by all users during the past 24 hours. The rating is determined by how many funds in total are needed for further development of this app in real time - so we don't have to wait years for new features.",
		ru: "Under the connection search form, there's a status indicating how many ads have been roughly seen by all users during the past 24 hours. The rating is determined by how many funds in total are needed for further development of this app in real time - so we don't have to wait years for new features.",
		hi: "Under the connection search form, there's a status indicating how many ads have been roughly seen by all users during the past 24 hours. The rating is determined by how many funds in total are needed for further development of this app in real time - so we don't have to wait years for new features.",
		cs: 'Pod formulářem na vyhledávání spojení se ukazuje procentuální status znázorňující kolik zhruba bylo shlédnuto reklam všemi uživateli dohromady za 24 hodin zpětně. Hodnocení je určováno tím, kolik je celkem třeba finančních prostředků k vývoji dalších verzí aplikace v reálném čase - abychom na nové funkce nemuseli čekat roky.'
	},

	'ads-explaination-heading1': {
		en: "Even you can contribute",
		es: "Even you can contribute",
		pt: "Even you can contribute",
		fr: "Even you can contribute",
		de: "Even you can contribute",
		zh: "Even you can contribute",
		ru: "Even you can contribute",
		hi: "Even you can contribute",
		cs: 'I vy můžete přispět'
	},

	'ads-explaination-text3': {
		en: "If you see that the current rating is not good and have spare time to help, check an ad. Your contribution will be added to the progress right after you leave the ad screen.",
		es: "If you see that the current rating is not good and have spare time to help, check an ad. Your contribution will be added to the progress right after you leave the ad screen.",
		pt: "If you see that the current rating is not good and have spare time to help, check an ad. Your contribution will be added to the progress right after you leave the ad screen.",
		fr: "If you see that the current rating is not good and have spare time to help, check an ad. Your contribution will be added to the progress right after you leave the ad screen.",
		de: "If you see that the current rating is not good and have spare time to help, check an ad. Your contribution will be added to the progress right after you leave the ad screen.",
		zh: "If you see that the current rating is not good and have spare time to help, check an ad. Your contribution will be added to the progress right after you leave the ad screen.",
		ru: "If you see that the current rating is not good and have spare time to help, check an ad. Your contribution will be added to the progress right after you leave the ad screen.",
		hi: "If you see that the current rating is not good and have spare time to help, check an ad. Your contribution will be added to the progress right after you leave the ad screen.",
		cs: 'Pokud vidíte, že aktuální hodnocení není nejlepší a máte čas pomoci, podívejte se na reklamu. Váš příspěvek se připočte do statusu ihned pod opuštění reklamní obrazovky.'
	},

	'sms-disabled-title': {
		en: "SMS Purchases Disabled",
		es: "SMS Purchases Disabled",
		pt: "SMS Purchases Disabled",
		fr: "SMS Purchases Disabled",
		de: "SMS Purchases Disabled",
		zh: "SMS Purchases Disabled",
		ru: "SMS Purchases Disabled",
		hi: "SMS Purchases Disabled",
		cs: 'Nákupy přes SMS jsou vypnuty'
	},

	'sms-disabled-text': {
		en: "SMS purchases have been recently disabled due to a new Google Play policy. Google Play wants to limit access to Calls and SMS only to certain apps in order to prevent malicious behavior. This app is eligible for SMS permissions by its nature and we have applied for an exception from this new policy. Until we are granted the access to SMS, we have to keep this feature shut in order to keep this app publicly available.",
		es: "SMS purchases have been recently disabled due to a new Google Play policy. Google Play wants to limit access to Calls and SMS only to certain apps in order to prevent malicious behavior. This app is eligible for SMS permissions by its nature and we have applied for an exception from this new policy. Until we are granted the access to SMS, we have to keep this feature shut in order to keep this app publicly available.",
		pt: "SMS purchases have been recently disabled due to a new Google Play policy. Google Play wants to limit access to Calls and SMS only to certain apps in order to prevent malicious behavior. This app is eligible for SMS permissions by its nature and we have applied for an exception from this new policy. Until we are granted the access to SMS, we have to keep this feature shut in order to keep this app publicly available.",
		fr: "SMS purchases have been recently disabled due to a new Google Play policy. Google Play wants to limit access to Calls and SMS only to certain apps in order to prevent malicious behavior. This app is eligible for SMS permissions by its nature and we have applied for an exception from this new policy. Until we are granted the access to SMS, we have to keep this feature shut in order to keep this app publicly available.",
		de: "SMS purchases have been recently disabled due to a new Google Play policy. Google Play wants to limit access to Calls and SMS only to certain apps in order to prevent malicious behavior. This app is eligible for SMS permissions by its nature and we have applied for an exception from this new policy. Until we are granted the access to SMS, we have to keep this feature shut in order to keep this app publicly available.",
		zh: "SMS purchases have been recently disabled due to a new Google Play policy. Google Play wants to limit access to Calls and SMS only to certain apps in order to prevent malicious behavior. This app is eligible for SMS permissions by its nature and we have applied for an exception from this new policy. Until we are granted the access to SMS, we have to keep this feature shut in order to keep this app publicly available.",
		ru: "SMS purchases have been recently disabled due to a new Google Play policy. Google Play wants to limit access to Calls and SMS only to certain apps in order to prevent malicious behavior. This app is eligible for SMS permissions by its nature and we have applied for an exception from this new policy. Until we are granted the access to SMS, we have to keep this feature shut in order to keep this app publicly available.",
		hi: "SMS purchases have been recently disabled due to a new Google Play policy. Google Play wants to limit access to Calls and SMS only to certain apps in order to prevent malicious behavior. This app is eligible for SMS permissions by its nature and we have applied for an exception from this new policy. Until we are granted the access to SMS, we have to keep this feature shut in order to keep this app publicly available.",
		cs: 'Nákupy přes SMS byly vypnuty kvůli novým pravidlům publikování aplikací na Google Play. Google Play chce limitovat přístup k historii volání a smskám jen pro aplikace, které jsou k tomu určeny a chce tak zabránit škodlivému chování aplikací vůči uživateli. Tato aplikace je podle nových pravidel oprávněna získat přístup k SMS vzhledem ke svým funkcím a zažádali jsme o výjimku v Google Play. Než nám bude výjimka udělena, musíme tuto funkci vypnout, aby aplikace mohla zůstat veřejně dostupná v Google Play.'
	},
};